#include <iostream>
#include<vector>
#include <algorithm>
#include <cmath>

#define ll long long
#define ld long double
using namespace std;
struct Vector{
    ld x,y;
    Vector(ld x1n,ld y1n,ld x2n,ld y2n){
        x=x2n-x1n;y=y2n-y1n;
    }
    Vector(ld xn,ld yn){
        x=xn,y=yn;
    }
};
ld operator*(Vector a,Vector b){
    return a.x*b.x+a.y*b.y;
}

bool inside(Vector v1,Vector v2, Vector v3) {
    ld f=1;
    ld len1 = sqrtl(v1.x * v1.x + v1.y * v1.y);
    ld len2 = sqrtl(v2.x * v2.x + v2.y * v2.y);
    ld len3 = sqrtl(v3.x * v3.x + v3.y * v3.y);
    ld ansum = fabsl(acosl(std::max(-f, std::min(v1*v2 / len1 / len2, f))));
    ld an1   = fabsl(acosl(std::max(-f, std::min(v2*v3 / len2 / len3, f))));
    ld an2   = fabsl(acosl(std::max(-f, std::min(v1*v3 / len1 / len3, f))));
//    cout<<ansum<<" "<<an1<<" "<<an2<<" "<<len1<<" "<<len2<<" "<<len3<<endl;
    return fabs(ansum - (an1 + an2)) < 0.00000001;
}
int main() {
//    ios::ios_base::sync_with_stdio(false);
//    cin.tie(NULL);
//    cout.tie(NULL);
    int n;
    std::cin >> n;

    for(int i = 0; i < n; i++) {
        ld ax1, ax2, ay1, ay2, bx1, by1, bx2, by2, vx, vy;
        std::cin >> ax1 >> ay1 >> ax2 >> ay2 >> bx1 >> by1 >> bx2 >> by2 >> vx >> vy;

        Vector v1=Vector(vx, vy);
        Vector v2=Vector(ax1, ay1, ax2, ay2);
        Vector v3=Vector(ax1, ay1, bx1, by1);

        bool res1 = inside(v1, v2, v3);

        v1=Vector(vx, vy);
        v2=Vector(ax2, ay2, ax1, ay1);
        v3=Vector(ax2, ay2, bx1, by1);

        res1 = res1 && inside(v1, v2, v3);

        v1=Vector(vx, vy);
        v2=Vector(ax1, ay1, ax2, ay2);
        v3=Vector(ax1, ay1, bx2, by2);

        bool res2 = inside(v1, v2, v3);

        v1=Vector(vx, vy);
        v2=Vector(ax2, ay2, ax1, ay1);
        v3=Vector(ax2, ay2, bx2, by2);

        res2 = res2 && inside(v1, v2, v3);

        if(res1 || res2)
            std::cout << "Yes" << "\n";
        else
            std::cout  << "No" << "\n";
    }
}