#include <iostream>

using namespace std;

int n, ax1, ay1, ax2, ay2, bx1, by1, bx2, by2, vx, vy;

typedef struct Vector {
	long long x, y;
} Point;

Vector mkvec(Point from, Point to) {
	return Vector{to.x - from.x, to.y - from.y};
}

// pseudoscalar
long long ps(Vector a, Vector b) {
	return a.x * b.y - b.x * a.y;
}

// scalar
long long sc(Vector a, Vector b) {
	return a.x * b.x + a.y * b.y;
}

// different signs
bool ds(long long a, long long b) {
	return a <= 0 && b >= 0 || a >= 0 && b <= 0;
}

bool ans() {
	Point
		A1{ ax1, ay1 },
		A2{ ax2, ay2 },
		B1{ bx1, by1 },
		B2{ bx2, by2 };
	Vector
		v{ vx, vy },
		a = mkvec(A1, B1),
		b = mkvec(A1, B2),
		c = mkvec(A2, B1),
		d = mkvec(A2, B2);
	return
		ds(ps(v, a), ps(v, b)) && sc(v, a) >= 0 && sc(v, b) >= 0 ||
		ds(ps(v, a), ps(v, c)) && sc(v, a) >= 0 && sc(v, c) >= 0 ||
		ds(ps(v, a), ps(v, d)) && sc(v, a) >= 0 && sc(v, d) >= 0 ||
		ds(ps(v, b), ps(v, c)) && sc(v, b) >= 0 && sc(v, c) >= 0 ||
		ds(ps(v, b), ps(v, d)) && sc(v, b) >= 0 && sc(v, d) >= 0 ||
		ds(ps(v, c), ps(v, d)) && sc(v, c) >= 0 && sc(v, d) >= 0;
}

int main() {
	cin >> n;
	for (int i = 0; i < n; i++) {
		cin >> ax1 >> ay1 >> ax2 >> ay2 >> bx1 >> by1 >> bx2 >> by2 >> vx >> vy;
		cout << (ans() ? "Yes" : "No") << endl;
	}
	return 0;
}