#include <iostream>

using namespace std;

int n, ax1, ay1, ax2, ay2, bx1, by1, bx2, by2, vx, vy;

typedef struct Vector {
	long long x, y;
} Point;

Vector mkvec(Point from, Point to) {
	return Vector{to.x - from.x, to.y - from.y};
}

struct Line {
	Point a, b;
};

struct Ray {
	Point a;
	Vector v;
};

// pseudoscalar
long long ps(Vector a, Vector b) {
	return a.x * b.y - b.x * a.y;
}

// scalar
long long sc(Vector a, Vector b) {
	return a.x * b.x + a.y * b.y;
}

int sgn(long long x) {
	if (x > 0)
		return 1;
	if (x < 0)
		return -1;
	return 0;
}

bool intersect(Line l, Ray r) {
	if (sc(mkvec(r.a, l.a), r.v) < 0 && sc(mkvec(r.a, l.b), r.v) < 0) // behind the ray
		return 0;
	if (ps(mkvec(r.a, l.a), r.v) == 0 || ps(mkvec(r.a, l.b), r.v) == 0) // on the infinite line(ray)
		return 1;
	if (sgn(ps(mkvec(r.a, l.a), r.v)) == sgn(ps(mkvec(r.a, l.b), r.v))) // on the same side
		return 0;
	if (ps(r.v, mkvec(r.a, l.a)) < 0)
		swap(l.a, l.b);
	return ps(mkvec(l.a, r.a), mkvec(l.a, l.b)) >= 0;
}

bool ans() {
	Point
		A1{ ax1, ay1 },
		A2{ ax2, ay2 },
		B1{ bx1, by1 },
		B2{ bx2, by2 };
	Vector v{ vx, vy };
	Line l{ B1, B2 };
	Ray r1{ A1, v }, r2{ A2, v };
	if (intersect(l, r1) || intersect(l, r2))
		return 1;
	if (sgn(ps(v, mkvec(A1, B1))) == sgn(ps(v, mkvec(A2, B1))))
		return 0;
	if (sc(v, mkvec(A1, B1)) < 0)
		return 0;
	return 1;
}

int main() {
	cin >> n;
	for (int i = 0; i < n; i++) {
		cin >> ax1 >> ay1 >> ax2 >> ay2 >> bx1 >> by1 >> bx2 >> by2 >> vx >> vy;
		cout << (ans() ? "Yes" : "No") << endl;
	}
	return 0;
}