#include <iostream>
#include <fstream>
#include <vector>
#include <set>
#include <map>
#include <cstring>
#include <string>
#include <cmath>
#include <cassert>
#include <ctime>
#include <algorithm>
#include <sstream>
#include <list>
#include <queue>
#include <deque>
#include <stack>
#include <cstdlib>
#include <cstdio>
#include <iterator>
#include <functional>
#include <bitset>

#ifdef LOCAL
#define eprintf(...) fprintf(stderr,__VA_ARGS__)
clock_t __my_start_clock = clock();
#else
#define eprintf(...)
#endif

#define TIMESTAMP(x) eprintf("["#x"] Time : %.3lf s.\n", (clock() - __my_start_clock)*1.0/CLOCKS_PER_SEC)
#define TIMESTAMPf(x,...) eprintf("[" x "] Time : %.3lf s.\n", __VA_ARGS__, (clock() - __my_start_clock)*1.0/CLOCKS_PER_SEC)

#define db(x) cerr << #x << " = " << x << endl
#define db2(x, y) cerr << "(" << #x << ", " << #y << ") = (" << x << ", " << y << ")\n";
#define db3(x, y, z) cerr << "(" << #x << ", " << #y << ", " << #z << ") = (" << x << ", " << y << ", " << z << ")\n"
#define dbv(a) cerr << #a << " = "; for (auto xxxx: a) cerr << xxxx << " "; cerr << endl


using namespace std;

#ifdef LOCAL
static struct __timestamper {
  string what;
  __timestamper(const char* what) : what(what){};
  __timestamper(const string& what) : what(what){};
  ~__timestamper(){
    TIMESTAMPf("%s", what.data());
	}
} __TIMESTAMPER("end");
#else 
struct __timestamper {};
#endif

typedef long long ll;
typedef long double ld;

int main() {
#ifdef LOCAL
//  freopen("d.in", "r", stdin);
//  freopen("d.out", "w", stdout);
#endif

  int r, c;
  scanf("%d%d", &r, &c);
  vector<pair<int, int>> v;
  v.emplace_back(0, 0);
  v.emplace_back(r - 1, c - 1);
  auto get_path = [](const vector<pair<int, int>> &v) {
    string s;
    for (int i = 1; i < (int)v.size(); i++) {
      int dx = v[i].first - v[i - 1].first;
      int dy = v[i].second - v[i - 1].second;
      for (int j = 0; j < dx / 2; j++) {
        s += 'D';
      }
      for (int j = 0; j < dy; j++) {
        s += 'R';
      }
      for (int j = dx / 2; j < dx; j++) {
        s += 'D';
      }
    }
    return s;
  };
  vector<vector<int>> field(r, vector<int>(c, -1));
  while (true) {
    sort(v.begin(), v.end());
    v.erase(unique(v.begin(), v.end()), v.end());
    string path = get_path(v);
    vector<pair<int, int>> pp;
    pp.emplace_back(0, 0);
    for (char cc : path) {
      if (cc == 'D') {
        pp.emplace_back(pp.back().first + 1, pp.back().second);
      } else {
        pp.emplace_back(pp.back().first, pp.back().second + 1);
      }
    }
    if (pp == v) {
      printf("! %s\n", path.c_str());
      return 0;
    }
    printf("? %s\n", path.c_str());
    fflush(stdout);
    for (auto x : pp) {
      field[x.first][x.second] = 0;
    }
    int n;
    scanf("%d", &n);
    for (int i = 0; i < n; i++) {
      int a, b;
      scanf("%d%d", &a, &b);
      --a, --b;
      field[a][b] = 1;
      v.emplace_back(a, b);
    }

    auto inside = [&](int x, int y) {
      return 0 <= x && x < r && 0 <= y && y < c;
    };

    function<void(int, int)> check = [&](int x, int y) {
      if (!inside(x, y)) return;
      if (field[x][y] != 1) return;
      if (x == r - 1 && y == c - 1) return;;
      if (!inside(x + 1, y) || field[x + 1][y] == 0) {
        assert(inside(x, y + 1));
        assert(field[x][y + 1] != 0);
        if (field[x][y + 1] == -1) {
          field[x][y + 1] = 1;
          v.emplace_back(x, y + 1);
          check(x, y + 1);
        }
      }
      if (!inside(x, y + 1) || field[x][y + 1] == 0) {
        assert(inside(x + 1, y));
        assert(field[x + 1][y] != 0);
        if (field[x + 1][y] == -1) {
          field[x + 1][y] = 1;
          v.emplace_back(x + 1, y);
          check(x + 1, y);
        }
      }
    };

    for (auto x : pp) {
      check(x.first, x.second);
      check(x.first - 1, x.second);
      check(x.first, x.second - 1);
    }
  }
}
