#include <iostream>
#include <fstream>
#include <vector>
#include <set>
#include <map>
#include <cstring>
#include <string>
#include <cmath>
#include <cassert>
#include <ctime>
#include <algorithm>
#include <sstream>
#include <list>
#include <queue>
#include <deque>
#include <stack>
#include <cstdlib>
#include <cstdio>
#include <iterator>
#include <functional>
#include <bitset>

#ifdef LOCAL
#define eprintf(...) fprintf(stderr,__VA_ARGS__)
clock_t __my_start_clock = clock();
#else
#define eprintf(...)
#endif

#define TIMESTAMP(x) eprintf("["#x"] Time : %.3lf s.\n", (clock() - __my_start_clock)*1.0/CLOCKS_PER_SEC)
#define TIMESTAMPf(x,...) eprintf("[" x "] Time : %.3lf s.\n", __VA_ARGS__, (clock() - __my_start_clock)*1.0/CLOCKS_PER_SEC)

#define db(x) cerr << #x << " = " << x << endl
#define db2(x, y) cerr << "(" << #x << ", " << #y << ") = (" << x << ", " << y << ")\n";
#define db3(x, y, z) cerr << "(" << #x << ", " << #y << ", " << #z << ") = (" << x << ", " << y << ", " << z << ")\n"
#define dbv(a) cerr << #a << " = "; for (auto xxxx: a) cerr << xxxx << " "; cerr << endl


using namespace std;

#ifdef LOCAL
static struct __timestamper {
  string what;
  __timestamper(const char* what) : what(what){};
  __timestamper(const string& what) : what(what){};
  ~__timestamper(){
    TIMESTAMPf("%s", what.data());
	}
} __TIMESTAMPER("end");
#else 
struct __timestamper {};
#endif

typedef long long ll;
typedef long double ld;

ll inf = 1e18 + 100;
void add(ll &a, ll b) {
  a += b;
  if (a >= inf) a = inf;
}

char s[100];
ll dp[100][100][100];

int main() {
#ifdef LOCAL
  freopen("g.in", "r", stdin);
  freopen("g.out", "w", stdout);
#endif

  scanf("%s", s);
  ll num;
  scanf("%lld", &num);
  --num;

  int n = strlen(s);
  dp[n][0][0] = 1;
  dp[n][1][1] = 1;
  dp[n][2][2] = 1;

  for (int i = n - 1; i >= 0; i--) {
    for (int j = 0; j <= n; j++) {
      for (int k = 0; k <= n; k++) {
        if (i == 0 || s[i] != '-' || s[i - 1] != '-') {
          add(dp[i][j][k], dp[i + 1][j][k]);
        }
        if (j >= 1) {
          add(dp[i][j][k], dp[i + 1][j - 1][k + 1]);
          if (k >= 1) {
            add(dp[i][j][k], dp[i + 1][j - 1][k - 1]);
          }
        }
        if (j >= 2) {
          add(dp[i][j][k], dp[i + 1][j - 2][k]); // {}
          if (k > 0) {
            add(dp[i][j][k], dp[i + 1][j - 2][k]); // }{
          }
          add(dp[i][j][k], dp[i + 1][j - 2][k + 2]); // {{
          if (k >= 2) {
            add(dp[i][j][k], dp[i + 1][j - 2][k - 2]); // }}
          }
        }
      }
    }
  }

  int need = 0;
  while (dp[0][need][0] == 0) need++;
  eprintf("need = %d, ways = %lld\n", need, dp[0][need][0]);
  if (dp[0][need][0] <= num) {
    printf("Overflow\n");
    return 0;
  }
  int bal = 0;
  for (int i = 0; i < n; i++) {
    auto try_do = [&](int nneed, int nbal, const char* pr) {
      if (nneed < 0 || nbal < 0) return false;
      if (dp[i + 1][nneed][nbal] <= num) {
        num -= dp[i + 1][nneed][nbal];
        return false;
      } else {
        printf("%s%c", pr, s[i]);
        need = nneed;
        bal = nbal;
        return true;
      }
    };

    if (i == 0 || s[i] != '-' || s[i - 1] != '-') {
      if (try_do(need, bal, "")) continue;
    }
    if (try_do(need - 1, bal + 1, "{")) continue;
    if (try_do(need - 2, bal + 2, "{{")) continue;
    if (try_do(need - 2, bal, "{}")) continue;
    if (try_do(need - 1, bal - 1, "}")) continue;
    if (bal > 0 && try_do(need - 2, bal, "}{")) continue;
    if (try_do(need - 2, bal - 2, "}}")) continue;
    assert(false);
  }
  assert(bal == need);
  assert(0 <= bal && bal <= 2);
  while (bal--) {
    printf("}");
  }


  return 0;
}
