#include <iostream>
#include <fstream>
#include <vector>
#include <set>
#include <map>
#include <cstring>
#include <string>
#include <cmath>
#include <cassert>
#include <ctime>
#include <algorithm>
#include <sstream>
#include <list>
#include <queue>
#include <deque>
#include <stack>
#include <cstdlib>
#include <cstdio>
#include <iterator>
#include <functional>
#include <bitset>

#ifdef LOCAL
#define eprintf(...) fprintf(stderr,__VA_ARGS__)
clock_t __my_start_clock = clock();
#else
#define eprintf(...)
#endif

#define TIMESTAMP(x) eprintf("["#x"] Time : %.3lf s.\n", (clock() - __my_start_clock)*1.0/CLOCKS_PER_SEC)
#define TIMESTAMPf(x,...) eprintf("[" x "] Time : %.3lf s.\n", __VA_ARGS__, (clock() - __my_start_clock)*1.0/CLOCKS_PER_SEC)

#define db(x) cerr << #x << " = " << x << endl
#define db2(x, y) cerr << "(" << #x << ", " << #y << ") = (" << x << ", " << y << ")\n";
#define db3(x, y, z) cerr << "(" << #x << ", " << #y << ", " << #z << ") = (" << x << ", " << y << ", " << z << ")\n"
#define dbv(a) cerr << #a << " = "; for (auto xxxx: a) cerr << xxxx << " "; cerr << endl


using namespace std;

#ifdef LOCAL
static struct __timestamper {
  string what;
  __timestamper(const char* what) : what(what){};
  __timestamper(const string& what) : what(what){};
  ~__timestamper(){
    TIMESTAMPf("%s", what.data());
	}
} __TIMESTAMPER("end");
#else 
struct __timestamper {};
#endif

typedef long long ll;
typedef long double ld;

int main() {
#ifdef LOCAL
  freopen("h.in", "r", stdin);
  freopen("h.out", "w", stdout);
#endif

  ll a, b;
  while (scanf("%lld%lld", &a, &b) == 2) {
    printf("Stable\n");
    vector<pair<char, long long>> res;
    auto add = [&](ll t) {
      res.emplace_back('+', t);
      a += t * 9;
    };
    auto sub = [&](ll t, ll name) {
      res.emplace_back('-', name);
      a -= t;
    };
    if (a > 10) {
      ll x = 1;
      int cnt = 0;
      while (x < a) {
        x = 10 * x + 1;
        cnt++;
      }
      add((x - a + 8) / 9);
      assert(a >= x);
      assert(a <= x + 8);
      sub(x - 1, cnt);
    }
    while (a % 9 != b % 9 || a > b) {
      while (a < 10) {
        add(1);
      }
      assert(10 <= a && a < 20);
      sub(10, 1);
    }
    if (a != b) {
      add((b - a) / 9);
    }
    printf("%d\n", (int)res.size());
    for (auto x : res) {
      printf("%c %lld\n", x.first, x.second);
    }
  }

  return 0;
}
