// Dmitry _kun_ Sayutin (2019)

#include <bits/stdc++.h>

using std::cin;
using std::cout;
using std::cerr;

using std::vector;
using std::map;
using std::array;
using std::set;
using std::string;
using std::queue;

using std::pair;
using std::make_pair;

using std::tuple;
using std::make_tuple;
using std::get;

using std::min;
using std::abs;
using std::max;
using std::swap;

using std::unique;
using std::sort;
using std::generate;
using std::reverse;
using std::min_element;
using std::max_element;

#ifdef LOCAL
#define LASSERT(X) assert(X)
#else
#define LASSERT(X) {}
#endif

template <typename T>
T input() {
    T res;
    cin >> res;
    LASSERT(cin);
    return res;
}

template <typename IT>
void input_seq(IT b, IT e) {
    std::generate(b, e, input<typename std::remove_reference<decltype(*b)>::type>);
}

#define SZ(vec)         int((vec).size())
#define ALL(data)       data.begin(),data.end()
#define RALL(data)      data.rbegin(),data.rend()
#define TYPEMAX(type)   std::numeric_limits<type>::max()
#define TYPEMIN(type)   std::numeric_limits<type>::min()

const int dx[4] = {-1, +1,  0,  0};
const int dy[4] = { 0,  0, -1, +1};

int read(const vector<vector<char>>& mat, int i, int j) {
    if (i < 0 or i >= SZ(mat) or j < 0 or j >= SZ(mat[i]))
        return 0;
    return mat[i][j];
}

bool isLike(vector<vector<char>>& mat, int i, int j, const vector<const char*>& pat) {
    for (int a = 0; a < SZ(pat); ++a) {
        for (int b = 0; pat[a][b]; ++b) {
            if (pat[a][b] == 'x')
                continue;
            
            int want = pat[a][b] - '0';
            int real = read(mat, i + a, j + b);

            if (want != real)
                return false;
        }
    }

    return true;
}

vector<vector<char>> solve(vector<vector<char>> mat) {
    if (1) {
        int num = 0;
        for (int i = 0; i < SZ(mat); ++i)
            for (int j = 0; j < SZ(mat[i]); ++j)
                num += (int)mat[i][j];

        assert(num != 0);
        
        vector<vector<char>> mat_second(SZ(mat), vector<char>(SZ(mat[0])));

        int i = 0, j = 0;
        while (not mat[i][j])
            if (++j == SZ(mat[i]))
                ++i, j = 0;

        queue<pair<int, int>> q;
        q.emplace(i, j);
        mat_second[i][j] = 1;
        mat[i][j] = 0;
        
        while (not q.empty()) {
            auto a = q.front().first;
            auto b = q.front().second;
            q.pop();
            --num;

            for (int t = 0; t < 4; ++t)
                if (read(mat, a + dx[t], b + dy[t])) {
                    mat[a + dx[t]][b + dy[t]] = 0;
                    mat_second[a + dx[t]][b + dy[t]] = 1;
                    q.emplace(a + dx[t], b + dy[t]);
                }
        }

        assert(num >= 0);
        if (num != 0) {
            auto c1 = solve(mat);
            auto c2 = solve(mat_second);

            vector<vector<char>> res;
            if (c1.size() and c2.size()) {
                res.resize(SZ(mat), vector<char>(SZ(mat[0])));
                for (int i = 0; i < SZ(mat); ++i)
                    for (int j = 0; j < SZ(mat[0]); ++j)
                        res[i][j] = (c1[i][j] or c2[i][j]);
            }

            return res;
        }

        swap(mat, mat_second);
    }
    
    
    // for (int i = 0; i < SZ(mat); ++i, cerr <<"\n")
    //     for (int j = 0; j < SZ(mat[i]); ++j)
    //         cerr << ".*"[(int)mat[i][j]];
    // cerr << "\n";
    
    vector<vector<char>> res;
    
    auto doFlip = [&]() {
        for (int i = 0; i < SZ(mat); ++i)
            std::reverse(ALL(mat[i]));
    };

    auto doFlipRes = [&]() {
        for (int i = 0; i < SZ(res); ++i)
            std::reverse(ALL(res[i]));
    };

    
    auto doTrans = [&]() {
        vector<vector<char>> newmat(SZ(mat[0]), vector<char>(SZ(mat)));
        for (int i = 0; i < SZ(mat); ++i)
            for (int j = 0; j < SZ(mat[0]); ++j)
                newmat[j][i] = mat[i][j];

        swap(mat, newmat);
    };

    auto doTransRes = [&]() {
        vector<vector<char>> newres(SZ(res[0]), vector<char>(SZ(res)));
        for (int i = 0; i < SZ(res); ++i)
            for (int j = 0; j < SZ(res[0]); ++j)
                newres[j][i] = res[i][j];

        swap(res, newres);
    };

    auto doRot = [&]() {
        vector<vector<char>> newmat(SZ(mat[0]), vector<char>(SZ(mat)));
        for (int i = 0; i < SZ(mat); ++i)
            for (int j = 0; j < SZ(mat[0]); ++j)
                newmat[SZ(mat[0]) - 1 - j][i] = mat[i][j];

        swap(mat, newmat);        
    };

    auto doRotRes = [&]() {
        vector<vector<char>> newres(SZ(res[0]), vector<char>(SZ(res)));
        for (int i = 0; i < SZ(res); ++i)
            for (int j = 0; j < SZ(res[0]); ++j)
                newres[SZ(res[0]) - 1 - j][i] = res[i][j];

        swap(res, newres);        
    };
    
    auto doCycle = [&](int) {
        doRot();
    };

    auto doUndo = [&](int it) {
        if (it == 0)
            return;

        for (; it != 4; ++it)
            doRotRes();
    };

#define n SZ(mat)
#define m SZ(mat[0])
    
    for (int it = 0; it < 4; doCycle(it++)) {
        for (int i = -1; i < n; ++i)
            for (int j = -1; j < m; ++j)
                if (isLike(mat, i, j, vector<const char*> {
                            "001x",
                            "0110",
                            "0110",
                            "0000"}) or
                    isLike(mat, i, j, vector<const char*>  {
                            "000x",
                            "0111",
                            "0110",
                            "0000"})) {
                    
                    mat[i + 1][j + 1] = mat[i + 1][j + 2] = mat[i + 2][j + 1] = mat[i + 2][j + 2] = 0;
                    res = solve(mat);
                
                    if (not res.empty()) {
                        res[i + 1][j + 1] = res[i + 2][j + 1] = res[i + 2][j + 2] = 1;   
                        doUndo(it);
                    }
                    
                    return res;
                }
    }
    
    for (int it = 0; it < 4; doCycle(it++)) {
        for (int i = -1; i < n; ++i)
            for (int j = -1; j < m; ++j)
                if (isLike(mat, i, j, vector<const char*> {
                            "001x",
                            "0111",
                            "0110",
                            "0000"})) {
                
                    mat[i + 1][j + 1] = mat[i + 1][j + 2] = mat[i + 2][j + 1] = mat[i + 2][j + 2] = 0;
                    
                    res = solve(mat);
                
                    if (not res.empty()) {
                        res[i + 1][j + 1] = res[i + 2][j + 1] = res[i + 2][j + 2] = 1;
                        doUndo(it);
                    }
                    
                    return res;
                }
    }
    
    for (int it = 0; it < 2; it++, doTrans()) {
        for (int i = -1; i < n; ++i)
            for (int j = -1; j < m; ++j)
                if (isLike(mat, i, j, vector<const char*> {"x10", "01x"})
                 or isLike(mat, i, j, vector<const char*> {"01x", "x10"})
                 or isLike(mat, i, j, vector<const char*> {"010", "111"})
                 or isLike(mat, i, j, vector<const char*> {"111", "010"})) { // experimental
                    // separate and recurs

                    queue<pair<int, int>> q;
                    mat[i + 1][j + 1] = 0;
                    q.emplace(i + 1, j + 1);
                    
                    vector<vector<char>> newmat(n, vector<char>(m));                    
                    while (not q.empty()) {
                        int a = q.front().first;
                        int b = q.front().second;
                        
                        q.pop();
                        newmat[a][b] = 1;

                        for (int t = 0; t < 4; ++t)
                            if (read(mat, a + dx[t], b + dy[t]) and
                                (make_pair(a + dx[t], b + dy[t]) != make_pair(i, j + 1))) {
                                mat[a + dx[t]][b + dy[t]] = 0;
                                q.emplace(a + dx[t], b + dy[t]);
                            }
                    }
                    
                    auto c1 = solve(mat);
                    auto c2 = solve(newmat);
                    
                    if (c1.size() and c2.size()) {
                        res.resize(n, vector<char>(m));
                        for (int i = 0; i < n; ++i)
                            for (int j = 0; j < m; ++j)
                                res[i][j] = (c1[i][j] or c2[i][j]);

                        if (it)
                            doTransRes();
                    }
                    
                    return res;
                }
    }
    
    
    for (int it = 0; it < 2; ++it, doFlip())
        for (int i = 0; i < n; ++i)
            for (int j = 0; j < m; ++j)
                if (isLike(mat, i, j, vector<const char*> {
                            "001x",
                            "0111",
                            "1110",
                            "x100"})) {

                    mat[i + 1][j + 1] = mat[i + 1][j + 2] = mat[i + 2][j + 1] = mat[i + 2][j + 2] = 0;
                    
                    res = solve(mat);

                    if (res.size()) {
                        res[i + 1][j + 1] = res[i + 2][j + 2] = 1;
                        
                        if (it)
                            doFlipRes();
                    }

                    return res;
                }
    
    // only "simple" cases are left now!

    for (int i = -1; i < n; ++i)
        for (int j = -1; j < m; ++j)
            if (isLike(mat, i, j, vector<const char*> {"0000", "0110", "0110", "0000"}))
                return res;
    
    
    res.resize(n, vector<char>(m));
    int tp = -1;
    for (int i = 0; i < n; ++i)
        for (int j = 0; j < m; ++j)
            if (mat[i][j]) {                
                int cnt_bad = 0;

                if (tp == -1)
                    tp = (i + j) % 2;
                
                for (int t = 0; t < 4; ++t)
                    if (read(mat, i + dx[t], j + dy[t]) == 0)
                        ++cnt_bad;

                res[i][j] = (cnt_bad >= 2 or (i + j) % 2 == tp);
            }

    return res;
}

int main() {
    std::iostream::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);

    // code here
#undef n
#undef m
    int n, m;
    
    cin >> n >> m;
    vector<vector<char>> mat(n, vector<char>(m));
    for (int i = 0; i < n; ++i)
        for (int j = 0; j < m; ++j)
            mat[i][j] = (input<char>() == '*');

    vector<vector<char>> colors = solve(mat);
    if (colors.empty()) {
        cout << "No\n";
        return 0;
    }

    cout << "Yes\n";

    for (int i = 0; i < n; ++i, cerr << "\n")
        for (int j = 0; j < m; ++j)
            cerr << int(colors[i][j]);
    
    vector<int> edge_sum;
    vector<vector<int>> graph((n+1)*(m+1));

    auto add_edge = [&](int v, int u) {
        int i = SZ(edge_sum);
        edge_sum.emplace_back(v + u);

        graph[v].push_back(i);
        graph[u].push_back(i);
    };
    
    for (int i = 0; i < n; ++i)
        for (int j = 0; j < m; ++j)
            if (colors[i][j]) {
                if (i == 0 or colors[i - 1][j] == 0)
                    add_edge(i * (m + 1) + j, i * (m + 1) + (j + 1));

                if (i == n - 1 or colors[i + 1][j] == 0)
                    add_edge((i+1) * (m + 1) + j, (i+1) * (m + 1) + (j + 1));
                
                if (j == 0 or colors[i][j - 1] == 0)
                    add_edge(i * (m + 1) + j, (i+1) * (m + 1) + j);
                
                if (j == m - 1 or colors[i][j + 1] == 0)
                    add_edge(i * (m + 1) + (j + 1), (i+1) * (m + 1) + (j + 1));
            }

    for (int i = 0; i < SZ(graph); ++i)
        assert(SZ(graph[i]) % 2 == 0);

    vector<pair<int, int>> path;

    vector<char> edge_used(SZ(edge_sum), false);
    std::function<void(int)> dfs = [&](int v) {
        while (not graph[v].empty()) {
            int e = graph[v].back(); graph[v].pop_back();
            if (edge_used[e]++ == 1)
                continue;
            
            int to = edge_sum[e] - v;

            dfs(to);
            path.emplace_back(to, v);
        }
    };

    int p = 0;
    while (p < SZ(graph) and SZ(graph[p]) == 0)
        ++p;

    assert(p != SZ(graph));
    dfs(p);
    for (int i = 0; i < SZ(graph); ++i)
        assert(SZ(graph[i]) == 0);

    cout << SZ(path) << "\n";
    for (int i = 0; i < SZ(path); ++i)
        cout << path[i].first / (m + 1) << " " << path[i].first % (m+1) << "\n";
        
    return 0;
}
