#include <iostream>
#include <vector>
#include <string>
#include <cmath>
#include <iomanip>
#include <set>
#include <algorithm>
#include  <map>
#include  <numeric>
#include <random>

#pragma warning(disable : 4996)
using namespace std;

#define all(a) (a).begin(), (a).end()
#define nl '\n'

typedef long long ll;

const ll LINF = numeric_limits<ll>::max();
const int INF = numeric_limits<int>::max();

inline void IO() {
#ifdef _DIVAN
	freopen("input.txt", "r", stdin);
	freopen("output.txt", "w", stdout);
#endif
	ios_base::sync_with_stdio(false);
	cin.tie(nullptr);
	cout.tie(nullptr);
}

typedef ll T;

struct Vector {
	T x, y;
	Vector(T a = 0, T b = 0) : x(a), y(b) {};
	Vector(const Vector& a, const Vector& b) : x(b.x - a.x), y(b.y - a.y) {};
	T cr_prod(const Vector& a) const {
		return x * a.y - y * a.x;
	}
	T dot_prod(const Vector& a) const {
		return x * a.x + y * a.y;
	}
};

typedef Vector Point;

bool check(Point a, Vector v, Point c, Point d) {
	Point b;
	b.x = a.x + 1000000 * v.x;
	b.y = a.y + 1000000 * v.y;
	Vector ab(a, b), cd(c,d);
	Vector ca(c, a), ba(b, a);
	Vector bc(b, c);
	Vector cb(c, b);
	if (ab.cr_prod(cd) != 0) {
		return cd.cr_prod(ca) * cd.cr_prod(cb) <= 0;
	}
	else {
		return ba.dot_prod(bc) >= 0;
	}
}

inline void solve() {
	pair <Vector, Vector> a, b;
	Vector v, rv;
	cin >> a.first.x >> a.first.y >> a.second.x >> a.second.y;
	cin >> b.first.x >> b.first.y >> b.second.x >> b.second.y;
	cin >> v.x >> v.y;
	rv.x = -v.x;
	rv.y = -v.y;
	if (check(a.first, v, b.first, b.second)) {
		cout << "Yes\n";
		return;
	}
	if (check(a.second, v, b.first, b.second)) {
		cout << "Yes\n";
		return;
	}
	if (check(b.first, rv, a.first, a.second)) {
		cout << "Yes\n";
		return;
	}
	if (check(b.second, rv, a.first, a.second)) {
		cout << "Yes\n";
		return;
	}
	swap(a.first, a.second);
	swap(b.first, b.second);
	if (check(a.first, v, b.first, b.second)) {
		cout << "Yes\n";
		return;
	}
	if (check(a.second, v, b.first, b.second)) {
		cout << "Yes\n";
		return;
	}
	if (check(b.first, rv, a.first, a.second)) {
		cout << "Yes\n";
		return;
	}
	if (check(b.second, rv, a.first, a.second)) {
		cout << "Yes\n";
		return;
	}
	cout << "No\n";
}

int main() {
	IO();
	int t;
	cin >> t;
	while (t--) {
		solve();
	}
	return 0;
}