#include<bits/stdc++.h>

using namespace std;

typedef long long ll;
typedef long double ld;

//#define int ll

#define _ << " " <<
#define ff first
#define ss second
#define pb push_back

const ld EPS = (ld)1 / 1e7;

struct Point {
    ld x, y;
    Point(ld x, ld y): x(x), y(y) {};
    ld dist(Point & other) {
        ld dx = x - other.x;
        ld dy = y - other.y;
        return sqrt(dx * dx + dy * dy);
    }
};

struct Vector {
    ld x, y;
    Vector(const Point & a, const Point & b) {
        x = b.x - a.x;
        y = b.y - a.y;
    }
    Vector(ld x, ld y): x(x), y(y) {};
    Point addToPoint(const Point & p) {
        return Point(p.x + x, p.y + y);
    }
    Vector operator * (ld k) {
        return Vector(x * k, y * k);
    }
    ld operator * (const Vector & other) {
        return (x * other.x + y * other.y);
    }
    ld operator ^ (const Vector & other) {
        return (x * other.y - y * other.x);
    }
};

struct Line {
    ld a, b, c;
    Line(ld a, ld b, ld c): a(a), b(b), c(c){};
    Line(const Point & p1, const Point & p2) {
        a = -1 * (p2.y - p1.y);
        b = p2.x - p1.x;
        c = p1.x * p2.y - p1.y * p2.x;
    }
    ld dotDist(const Point & p) {
        return abs(-1 * (a * p.x + b * p.y + c) / sqrt(a * a + b * b));
    }
    Point intersection(const Line & other) {
        return Point((other.b * c - b * other.c) / (b * other.a - other.b * other.a),
                     (other.a * c - a * other.c) / (a * other.b - other.a * other.b));
    }
    bool isIntersect(const Line & other) {
        return ((b * other.a - other.b * other.a) != 0 && (a * other.b - other.a * other.b) != 0);
    }
};

ld SegmentDist(ld x1, ld y1, ld x2, ld y2, ld x3, ld y3, ld x4, ld y4)  {
    Point a = {x1, y1};
    Point b = {x2, y2};
    Point c = {x3, y3};
    Point d = {x4, y4};
    ld ans = a.dist(c);
    //cout << 1 _ ans << endl;
    ans = min(ans, a.dist(d));
    ans = min(ans, b.dist(c));
    ans = min(ans, b.dist(d));
    //cout << 2 _ ans << endl;
    Line lnab = {a, b};
    Line lncd = {c, d};
    Vector ba = {b, a};
    Vector ab = {a, b};
    Vector bc = {b, c};
    Vector bd = {b, d};
    Vector ac = {a, c};
    Vector ad = {a, d};
    Vector ca = {c, a};
    Vector cd = {c, d};
    Vector dc = {d, c};
    Vector da = {d, a};
    Vector cb = {c, b};
    Vector db = {d, b};
    //cout << 3 _ ans << endl;
    if (ba * bc >= 0 && ab * ac >= 0) {
        ans = min(ans, lnab.dotDist(c));
    }
    //cout << 4 _ ans << endl;
    if (ba * bd >= 0 && ab * ad >= 0) {
        ans = min(ans, lnab.dotDist(d));
    }
    if (ca * cd >= 0 && dc * da >= 0) {
        ans = min(ans, lncd.dotDist(a));
    }
    if (ca * cd >= 0 && dc * da >= 0) {
        ans = min(ans, lncd.dotDist(a));
    }
    if (cb * cd >= 0 && dc * db >= 0) {
        ans = min(ans, lncd.dotDist(b));
    }
    return ans;
}

ld f(ld x1, ld y1, ld x2, ld y2, ld x3, ld y3, ld x4, ld y4, ld ux, ld uy, ld t) {
    //cout << "!" _ t << endl;
    x1 += ux * t; y1 += uy * t;
    x2 += ux * t; y2 += uy * t;
    //cout << "&" _ SegmentDist(x1, y1, x2, y2, x3, y3, x4, y4) << endl;
    return SegmentDist(x1, y1, x2, y2, x3, y3, x4, y4);
}

void solve() {
    ld x1, y1, x2, y2, x3, y3, x4, y4, ux, uy;
    cin >> x1 >> y1 >> x2 >> y2 >> x3 >> y3 >> x4 >> y4 >> ux >> uy;
    ld l = 0; ld r = 1e6 + 1000;
    ld m1, m2;
    for (int i = 0; i < 232; ++i) {
        m1 = l + (r - l) / 3;
        m2 = r - (r - l) / 3;
        if (f(x1, y1, x2, y2, x3, y3, x4, y4, ux, uy, m1) < f(x1, y1, x2, y2, x3, y3, x4, y4, ux, uy, m2)) {
            r = m2;
        }
        else {
            l = m1;
        }
    }
    ld ans = f(x1, y1, x2, y2, x3, y3, x4, y4, ux, uy, r);
    //cout << ans << endl;
    if (ans < EPS) {
        cout << "Yes" << "\n";
    }
    else {
        cout << "No" << "\n";
    }
}

signed main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0); cout.tie(0);
    //freopen("input.txt", "r", stdin);
    //freopen("output.txt", "w", stdout);
    int tests = 1;
    cin >> tests;
    while (tests--) {
        solve();
    }
    return 0;
}

