#include <bits/stdc++.h>

using namespace std;

typedef long long ll;

struct Vector{
    ll x , y;

    Vector() {}
    Vector(ll x , ll y): x(x) , y(y) {}
};

Vector operator +(Vector A , Vector B){
    return Vector(A.x + B.x , A.y + B.y);
}

Vector operator -(Vector A , Vector B){
    return Vector(A.x - B.x , A.y - B.y);
}

istream &operator >>(istream &stream , Vector &a){
    return stream >> a.x >> a.y;
}

ll DotProduct(Vector A , Vector B){
    return A.x*B.x + A.y*B.y;
}

ll CrossProduct(Vector A , Vector B){
    return A.x*B.y - A.y*B.x;
}

ll Dir(ll X){
    if (X == 0) return 0;
    return X / abs(X);
}

bool solve(){
    Vector A1 , A2 , B1 , B2 , V;
    cin >> A1 >> A2 >> B1 >> B2 >> V;

    Vector P = A2 + V;


    if (CrossProduct(A2 - A1 , B1 - A1) != 0 &&
        Dir(CrossProduct(A2 - A1 , P - A1)) != Dir(CrossProduct(A2 - A1 , B1 - A1)) &&
        CrossProduct(A2 - A1 , B2 - A1) != 0 &&
        Dir(CrossProduct(A2 - A1 , P - A1)) != Dir(CrossProduct(A2 - A1 , B2 - A1))) return false;

    Vector P1 = A1 + V , P2 = A2 + V;

    if (CrossProduct(P1 - A1 , B1 - A1) == 0 || CrossProduct(P2 - A2 , B1 - A2) == 0 ||
        Dir(CrossProduct(P1 - A1 , B1 - A1)) != Dir(CrossProduct(P2 - A2 , B1 - A2))) return true;

    if (CrossProduct(P1 - A1 , B2 - A1) == 0 || CrossProduct(P2 - A2 , B2 - A2) == 0 ||
        Dir(CrossProduct(P1 - A1 , B2 - A1)) != Dir(CrossProduct(P2 - A2 , B2 - A2))) return true;

    if (CrossProduct(P1 - A1 , B1 - A1) == 0 || CrossProduct(P1 - A1 , B2 - A1) == 0 ||
        Dir(CrossProduct(P1 - A1 , B1 - A1)) != Dir(CrossProduct(P1 - A1 , B2 - A1))) return true;

    return false;
}

int main(){

    int n; cin >> n;

    while(n --> 0){
        if (solve()){
            cout << "Yes\n";
        } else {
            cout << "No\n";
        }
    }

}
/*
1
0 2 1 1 2 2 3 1 1 1

2
0 2 1 1 2 2 3 1 1 1
0 2 1 1 2 2 3 1 -1 -1



*/
