#include <iostream>
#include <algorithm>
#include <vector>
#include <string>
#include <cassert>
#include <cmath>

using namespace std;

struct Point {
	int x, y;
	Point(int y = 0, int x = 0) {
		this->x = x;
		this->y = y;
	}
	friend istream& operator>>(istream& in, Point& p) {
		in >> p.y >> p.x;
		return in;
	}
	friend int dist(Point p1, Point p2) {
		return abs(p1.x - p2.x) + abs(p1.y - p2.y);
	}
	bool operator < (const Point &p)const& {
		return make_pair(x, y) < make_pair(p.x, p.y);
	}
	bool operator == (const Point& p)const & {
		return y == p.y && x == p.x;
	}
};

int m, n, t;
vector<Point> ans;
vector<vector <int>> used;
string query;

void upd(int i) {
	if (used[ans[i].x][ans[i].y]) {
		int j = i + 1;
		while (!used[ans[j].x][ans[j].y])
			j++;
		if (ans[i].x == ans[j].x || ans[i].y == ans[j].y) {
			return;
		}
		if (ans[i].x == ans[j].x - 1 && j == i + 1) {
			for (int cy = ans[i].y; cy < ans[j].y; cy++) {
				ans.insert(ans.begin() + (cy - ans[i].y) + i + 1, Point(cy, ans[i].x + 1));
				j++;
			}
			return;
		}
		int yi = ans[i].y;
		int yj = ans[j].y;
		while (dist(ans[i + 1], ans[i]) == 1 && i != j) {
			i++;
		}
		while (dist(ans[j - 1], ans[j]) == 1 && i != j) {
			j--;
		}
		if (i == j)
			return;
		if (i + 1 == j) {
			if (ans[j].y != yj) {
				auto tmp = Point(ans[j].y, ans[j].x - 1);
				ans.insert(ans.begin() + j, tmp);
			}
			else {
				auto tmp = Point(ans[j].y - 1, ans[j].x);
				ans.insert(ans.begin() + j, tmp);
			}
			if (ans[i].y != yi) {
				auto tmp = Point(ans[i].y, ans[i].x + 1);
				ans.insert(ans.begin() + i + 1, tmp);
			}
			else {
				auto tmp = Point(ans[i].y + 1, ans[i].x);
				ans.insert(ans.begin() + i + 1, tmp);
			}
			return;
		}
		auto tmp = Point(ans[j].y - 1, ans[j].x);
		ans.insert(ans.begin() + j, tmp);
		tmp = Point(ans[j - 1].y, ans[j - 1].x + 1);
		ans.insert(ans.begin() + j, tmp);
		tmp = Point(ans[i + 1].y, ans[i + 1].x - 1);
		ans.insert(ans.begin() + i + 1, tmp);
		tmp = Point(ans[i].y + 1, ans[i].x);
		ans.insert(ans.begin() + i + 1, tmp);
	}
}

void gen(int i) {
	if (dist(ans[i], ans[i + 1]) == 1) {
		if (ans[i].x == ans[i + 1].x) {
			query.push_back('D');
		}
		else {
			query.push_back('R');
		}
	}
	else {
		int Mx = (ans[i].x + ans[i + 1].x) / 2;
		for (int j = ans[i].x; j < Mx; j++)
			query.push_back('R');
		for (int j = ans[i].y; j < ans[i + 1].y; j++)
			query.push_back('D');
		for (int j = Mx; j < ans[i + 1].x; j++)
			query.push_back('R');
	}
}


int main() {
	ios_base::sync_with_stdio(0);
	cin.tie(0);
	cout.tie(0);

	cin >> m >> n;
	ans.push_back(Point(1, 1));
	ans.push_back(Point(m, n));
	used.resize(n + 1, vector <int>(m + 1, 0));
	used[1][1] = 1;
	used[n][m] = 1;

	int cnt = 0;

	while (true) {
		query.clear();
		
		for (int i = 0; i < ans.size() - 1; i++) {
			gen(i);
		}

		cnt++;
		assert(cnt != 11);

		cout << "? " << query << endl;
		cin >> t;
		ans.resize(t);
		for (int i = 0; i < t; i++)
			cin >> ans[i];

		ans.resize(unique(ans.begin(), ans.end()) - ans.begin());

		for (int i = 0; i < ans.size() - 1; i++) {
			upd(i);
		}

		for (auto u : ans) {
			used[u.x][u.y] = 1;
		}

		if ((int)ans.size() == n + m - 1) {
			query.clear();
			for (int i = 0; i < ans.size() - 1; i++) {
				gen(i);
			}
			cout << "! " << query << endl;
			return 0;
		}
	}

	return 0;
}