#include <iostream>
#include <algorithm>
#include <vector>
#include <string>

using namespace std;

struct Point {
	int x, y;
	Point(int y = 0, int x = 0) {
		this->x = x;
		this->y = y;
	}
	friend istream& operator>>(istream& in, Point& p) {
		in >> p.y >> p.x;
		return in;
	}
	friend int dist(Point p1, Point p2) {
		return abs(p1.x - p2.x) + abs(p1.y - p2.y);
	}
};

void solve(int i, vector<Point>& ans, string& query, vector<int>& used) {
	int j = i + 1;

	if (used[ans[i].x] && !used[ans[j].x] && dist(ans[i], ans[j]) > 1 && ans[j].x - ans[i].x == 1) {
		query.push_back('R');
		for (int cy = ans[i].y; cy < ans[j].y; cy++) {
			ans.insert(ans.begin() + i + 1 + (cy - ans[i].y), Point(cy, ans[i].x + 1));
			j++;
		}
		used[ans[i].x + 1] = true;
		return;
	}
	if (!used[ans[i].x] && used[ans[j].x] && dist(ans[i], ans[j]) > 1 && ans[j].x - ans[i].x == 1) {
		query.push_back('D');
		for (int cy = ans[i].y + 1; cy <= ans[j].y; cy++) {
			ans.insert(ans.begin() + i + (cy - ans[i].y), Point(cy, ans[i].x));
			j++;
		}
		used[ans[i].x] = true;
		return;
	}

	int mx = (ans[i].x + ans[j].x) / 2;
	if (used[mx] && ans[i].x != ans[j].x && !used[mx + 1])
		mx++;
	used[mx] = true;
	for (int cx = ans[i].x; cx < mx; cx++)
		query.push_back('R');
	for (int cy = ans[i].y; cy < ans[j].y; cy++)
		query.push_back('D');
	for (int cx = mx; cx < ans[j].x; cx++)
		query.push_back('R');
}

int m, n, t;
vector<Point> ans;
string query;
vector<int> used;

int main() {
	ios_base::sync_with_stdio(0);
	cin.tie(0);
	cout.tie(0);

	cin >> m >> n;
	ans.push_back(Point(1, 1));
	ans.push_back(Point(m, n));
	used.assign(n + 1, 0);

	while (true) {
		query.clear();
		for (int i = 0; i < (int)ans.size() - 1; i++)
			solve(i, ans, query, used);

		if ((int)ans.size() == n + m - 1) {
			cout << "! " << query << endl;
			return 0;
		}

		cout << "? " << query << endl;
		ans.clear();
		cin >> t;
		ans.resize(t);
		for (int i = 0; i < t; i++)
			cin >> ans[i];
	}

	return 0;
}