#define _CRT_SECURE_NO_WARNINGS

#include <iostream>
#include <vector>
#include <algorithm>
#include <cmath>
#include <math.h>
#include <set>
#include <fstream>
#include <queue>
#include <iomanip>
#include <string>

using namespace std;

typedef long long ll;

const double eps = 1e-7;

#define endl '\n'

struct pos
{
	ll x, y;
	pos() {}
	pos(ll a, ll b)
	{
		x = a;
		y = b;
	}
	bool operator<(const pos& b)
		const
	{
		if (x == b.x)
		{
			return y < b.y;
		}
		else
		{
			return x < b.x;
		}
	}
	bool operator==(const pos& b)
		const
	{
		return ((x == b.x) && (y == b.y));
	}
	bool operator!=(const pos& b)
		const
	{
		return ((x != b.x) || (y != b.y));
	}
	char operator-(const pos& b)
		const
	{
		if (b.x == x)
		{
			return 'R';
		}
		else
		{
			return 'D';
		}
	}
};

vector<pos> s;
vector<pos> ans;
vector<pos> p;

struct table
{
	pos st, fin;
	pos l, r;
	bool fl;
	table(pos a, pos b)
	{
		st = a;
		fin = b;
		fl = false;
		l = pos(-1, -1);
		r = pos(-1, -1);
		if (st.x - fin.x == 0 || st.y - fin.y == 0)
		{
			fl = true;
			l = st;
			r = fin;
		}
	}
	bool operator<(const table& b)
		const
	{
		if (st == b.st)
		{
			return fin < b.fin;
		}
		else
		{
			return st < b.st;
		}
	}
	bool ok()
	{
		return fl;
	}
};

set<table> t;

void que(table &a)
{
	if (!a.fl)
	{
		if (a.l == pos(-1, -1))
		{
			for (int i = a.st.x; i < (a.st.x + a.st.y) / 2; i++)
			{
				p.push_back(pos(i, a.st.y));
			}
			for (int i = a.st.y; i < a.fin.y; i++)
			{
				p.push_back(pos((a.st.x + a.fin.x) / 2, i));
			}
			for (int i = (a.st.x + a.fin.x) / 2; i < a.fin.x; i++)
			{
				p.push_back(pos(i, a.fin.y));
			}
		}
		else
		{
			table mus = *t.find(table(a.st, a.l));
			que(mus);
			t.erase(t.find(table(a.st, a.l)));
			t.insert(mus);
			for (int i = a.l.y; i < a.r.y; i++)
			{
				p.push_back(pos(a.l.x, i));
			}
			mus = *t.find(table(a.r, a.fin));
			que(mus);
			t.erase(t.find(table(a.r, a.fin)));
			t.insert(mus);
		}
	}
	else
	{
		if (a.st.x == a.fin.x || a.st.y == a.fin.y)
		{
			for (int i = a.st.x; i <= a.fin.x; i++)
			{
				for (int j = a.st.y; j <= a.fin.y; j++)
				{
					p.push_back(pos(i, j));
				}
			}
			p.pop_back();
		}
		else if (a.fin.x - a.st.x == 1)
		{
			for (int i = a.st.y; i <= a.r.y; i++)
			{
				p.push_back(pos(a.st.x, i));
			}
			for (int i = a.r.y; i < a.fin.y; i++)
			{
				p.push_back(pos(a.fin.x, i));
			}
		}
		else
		{
			table mus = *t.find(table(a.st, a.l));
			que(mus);
			t.erase(t.find(table(a.st, a.l)));
			t.insert(mus);
			for (int i = a.l.y; i < a.r.y; i++)
			{
				p.push_back(pos(a.l.x, i));
			}
			mus = *t.find(table(a.r, a.fin));
			que(mus);
			t.erase(t.find(table(a.r, a.fin)));
			t.insert(mus);
		}
	}
}

void an(table& c, ll a, ll b)
{
	if (c.fin.x - c.st.x == 1)
	{
		c.l = ans[a];
		c.r = ans[upper_bound(ans.begin(), ans.end(), pos(c.st.x, c.fin.y)) - ans.begin() - 1];
		c.fl = true;
	}
	else
	{
		c.l = ans[lower_bound(ans.begin(), ans.end(), pos((c.st.x + c.st.y) / 2, c.st.y)) - ans.begin()];
		c.r = ans[upper_bound(ans.begin(), ans.end(), pos((c.st.x + c.st.y) / 2, c.fin.y)) - ans.begin()];
		t.insert(table(c.st, c.l));
		t.insert(table(c.r, c.fin));
		if (t.find(table(c.st, c.l))->fl && t.find(table(c.r, c.fin))->fl)
		{
			c.fl = true;
		}
	}
}

int main()
{
#ifdef _DEBUG
	//freopen("input.txt", "r", stdin);
#endif
	ll n, m;
	cin >> n >> m;
	table now(pos(1, 1), pos(n, m));
	while (!now.ok())
	{
		p.clear();
		que(now);
		p.push_back(pos(n, m));
		for (ll i = 1; i < p.size(); i++)
		{
			cout << (p[i] - p[i - 1]);
		}
		ll k;
		cin >> k;
		for (ll i = 0; i < k; i++)
		{
			ll a, b;
			cin >> a >> b;
			ans.push_back(pos(a, b));
		}
		an(now, 0, k - 1);
	}
	p.clear();
	que(now);
	p.push_back(pos(n, m));
	for (int i = 1; i < p.size(); i++)
	{
		cout << p[i] - p[i - 1];
	}
}