#include <bits/stdc++.h>

//#define _FORTIFY_SOURCE 0
//#pragma GCC optimize("0fast")
//#pragma GCC optimize("no-stack-protector")
//#pragme GCC optimize ("unroll-loops")
//#pragma GCC target("sse,sse2,sse3,ssse3,sse4,popcnt,abm, mmx,tune=native")

#define ull unsigned long long
#define ll long long
#define pll pair<ll, ll>
#define mp make_pair
#define ld long double
//#define pb push_back
#define all(x) x.begin(), x.end()
#define deb(x) cout << #x << " = "<< x << endl;

const ll mod1 = 1e9+7;
const ll mod2 = 948735481;
const ll P1 = 678463;
const ll P2 = 239;
const ll inf = (ll)1e18;
const long double MATH_E = 2.718281828459;
const long double eps = 1e-15;
const long double MATH_PI = atan2l(0, -1);

using namespace std;


template<class T>
istream& operator>>(istream &in, vector<T> &arr) {
    for (auto &cnt : arr) {
        in >> cnt;
    }
    return in;
}

struct Point
{
    ld x, y;

    Point(ld x_, ld y_)
    {
        x = x_;
        y = y_;
    }

    Point()
    {
        x = 0;
        y = 0;
    }

    Point operator-(const Point& b) const
    {
        Point newPoint;
        newPoint.x = x - b.x;
        newPoint.y = y - b.y;
        return newPoint;
    }

    Point operator+(const Point& b) const
    {
        Point newPoint;
        newPoint.x = x + b.x;
        newPoint.y = y + b.y;
        return newPoint;
    }

    ld operator*(const Point& b) const
    {
        return x * b.x + y * b.y;
    }

    ld operator^(const Point& b) const
    {
        return x * b.y - y * b.x;
    }
};

Point intersect(Point p1, Point p2, Point q1, Point q2)
{
    if (abs((p1 - p2) ^ (q1 - q2)) < eps)
        return {-inf, -inf};

    ld pa = p1.y - p2.y, pb = p2.x - p1.x;
    ld pc = -pa * p1.x - pb * p1.y;

    ld qa = q1.y - q2.y, qb = q2.x - q1.x;
    ld qc = -qa * q1.x - qb * q1.y;

    ld x = (pb * qc - qb * pc) / (pa * qb - qa * pb);
    ld y = (qa * pc - pa * qc) / (pa * qb - qa * pb);
    return {x, y};
}

bool boundBox(Point p, Point a, Point b)
{
    ld mnX = min(a.x, b.x);
    ld mxX = max(a.x, b.x);

    ld mnY = min(a.y, b.y);
    ld mxY = max(a.y, b.y);

    return (mnX - eps < p.x && p.x < mxX + eps) && (mnY - eps < p.y && p.y < mxY + eps);
}

bool sameDir(Point a, Point b)
{
    return (a ^ b) == 0 && (a * b) > 0;
}

bool tryRay(Point start, Point vec, Point a, Point b)
{
    Point pInter = intersect(start, start + vec, a, b);

    if(pInter.x == -inf && pInter.y == -inf)
    {
        Point vec2 =  a - start;
        Point vec3 =  b - start;

        return sameDir(vec, vec2) || sameDir(vec, vec3);
    }

    if(!boundBox(pInter, a, b))
        return 0;

    Point vec2 = pInter - start;
    return sameDir(vec, vec2);
}

void solve() {
    ll n;
    cin >> n;
    for(int i = 0; i < n; i++)
    {
        Point a1, b1, a2, b2, vec;
        cin >> a1.x >> a1.y >> b1.x >> b1.y;
        cin >> a2.x >> a2.y >> b2.x >> b2.y;
        cin >> vec.x >> vec.y;

        bool answ = 0;
        // Луч из а1
        answ |= tryRay(a1, vec, a2, b2);
        answ |= tryRay(b1, vec, a2, b2);

        Point vecInv = Point(0, 0) - vec;
        answ |= tryRay(a2, vecInv, a1, b1);
        answ |= tryRay(b2, vecInv, a1, b1);

        if(answ)
            cout << "YES" << "\n";
        else
            cout << "NO" << "\n";
    }
}

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
#ifdef LOCAL
    freopen("input.txt", "r", stdin);
    freopen("output.txt", "w", stdout);
#endif
    cout.precision(30);
    cout.setf(ios::fixed);
    solve();
    return 0;
}