#include <bits/stdc++.h>

#define int long long
#define x first
#define y second
using namespace std;

const long double pi = acos(-1);
const long double eps = 1e-9;

struct dot {
    long long x, y;

    dot() {
        x = 0, y = 0;
    }

    dot(long long _x, long long _y) {
        x = _x, y = _y;
    }

    dot operator+(dot p) {
        return dot(x + p.x, y + p.y);
    }

    dot operator-(dot p) {
        return dot(x - p.x, y - p.y);
    }

    long long operator%(dot p) {
        return x * p.y - y * p.x;
    }

    long long operator*(dot p) {
        return x * p.x + y * p.y;
    }

    dot operator*(long long k) {
        return dot{x * k, y * k};
    }

    long double getlen() {
        return sqrt(x * x + y * y);
    }

    long long getsquarelen() {
        return x * x + y * y;
    }

    bool operator==(dot p) {
        return (p.x == x) && (p.y == y);
    }

    pair<long double, long double> normalize() {
        return make_pair(x / getlen(), y = getlen());
    }

    bool iscent(dot p1, dot p2) {
        if ((x <= p1.x && x >= p2.x) || (x > p1.x && x <= p2.x)) {
            if ((y <= p1.y && y >= p2.y) || (y >= p1.y && y <= p2.y)) {
                return 1;
            }
        }
        return 0;
    }
};

bool iscent(pair<long double, long double> p1, pair<long double, long double> p2, pair<long double, long double> a) {
    if ((a.x <= p1.x+eps && a.x+eps >= p2.x) || (a.x+eps >= p1.x && a.x <= p2.x+eps)) {
        if ((a.y <= p1.y+eps && a.y+eps >= p2.y) || (a.y+eps >= p1.y && a.y <= p2.y+eps)) {
            return 1;
        }
    }
    return 0;
}

bool iscent(dot p1, dot p2, pair<long double, long double> a) {
    if ((a.x <= p1.x+eps && a.x+eps >= p2.x) || (a.x+eps >= p1.x && a.x <= p2.x+eps)) {
        if ((a.y <= p1.y+eps && a.y+eps >= p2.y) || (a.y+eps >= p1.y && a.y <= p2.y+eps)) {
            return 1;
        }
    }
    return 0;
}

struct line {
    long long a, b, c;
    dot on1, on2;

    line(dot p, dot q) {
        a = p.y - q.y;
        b = q.x - p.x;
        c = -a * p.x - b * p.y;
        on1 = p;
        on2 = q;
    }

    bool ison(dot p) {
        if (abs(a * p.x + b * p.y + c) < eps) {
            return 1;
        }
        return 0;
    }

    pair<long double, long double> intersect(line l) {
        if (l.b != 0) {
            long double x = ((((long double) b) * l.c / l.b - c) / (a - ((long double) b) * l.a / l.b));
            long double y = (-x * l.a - l.c) / l.b;
            return make_pair(x, y);
        } else {
            long double x = -((long double) l.c) / l.a;
            long double y = (-x * a - c) / b;
            return make_pair(x, y);
        }
    }
    void move(dot x){
        c = a*x.x+b*x.y;
        c = -c;
        on2 = x+(on1-on2);
        on1 = x;
    }
};

long double angle(dot a, dot b){
    long double res = atan2(a%b, a*b);
    if(res<0+eps)
        res = 2*pi+res;
    if(res+eps>pi)
        res = 2*pi-res;
    return res;
}

pair<long double, long double> perp(line l, dot a) {
    dot parr = l.on1 - l.on2;
    dot norm = dot(-parr.y, parr.x);
    dot r = l.on1 - a;
    long double ang = angle(r, norm);
    if (ang+eps > pi / 2) {
        norm = norm * -1;
        ang = pi - ang;
    }

    ang = pi / 2 - ang;
    long double dd = r.getlen() * sin(ang);
    dot ddd = norm * dd;
    return make_pair(norm.x / norm.getlen() * dd + a.x, norm.y / norm.getlen() * dd + a.y);
}

signed main() {
    dot a, b, c, d, v, n;
    int q;
    cin >> q;
    for(int i = 0; i<q; i++) {
        cin >> a.x >> a.y >> b.x >> b.y >> c.x >> c.y >> d.x >> d.y >> v.x >> v.y;

        line l = line(v, v + dot(-v.y, v.x));
        auto a1 = perp(l, a);
        auto b1 = perp(l, b);
        auto c1 = perp(l, c);
        auto d1 = perp(l, d);
        /*line l1 = line(a, b);
        line l2 = line(c, d);
        if(iscent(a, b, l1.intersect(l2)) && iscent(c, d, l1.intersect(l2))){
            cout << "Yes\n";
            continue;
        }*/
        if(iscent(a1, b1, c1) && ((a-b)%v+eps>=0) == ((a-b)%(c-b)+eps>=0)){
            cout << "Yes\n";
            continue;
        }
        if(iscent(a1, b1, d1) && ((a-b)%v+eps>=0) == ((a-b)%(d-b)+eps>=0)){
            cout << "Yes\n";
            continue;
        }
        if(iscent(c1, d1, a1) && ((c-d)%v+eps>=0) != ((c-d)%(a-d)+eps>=0)){
            cout << "Yes\n";
            continue;
        }
        if(iscent(c1, d1, b1) && ((c-d)%v+eps>=0) != ((c-d)%(b-d)+eps>=0)){
            cout << "Yes\n";
            continue;
        }
        cout << "No\n";
    }
    return 0;
}

/*
2
0 2 1 1 2 2 3 1 1 1
0 2 1 1 2 2 3 1 -1 -1

1
2 4
2 2
1 6
6 6
0 4
 */