

#include <iostream>
#include <algorithm>
#include <vector>
#include <set>
#include <map>

#define int long long

const int INF = 2e9;

using namespace std;

int binPow(int a, int b) {
	if (!b) return 1;
	if (b % 2) {
		return a * binPow(a, b - 1);
	}
	int q = binPow(a, b / 2);
	return q * q;
}

void go(vector<int>& a, int zn, int n) {
	a[2] = zn % n;
	zn /= n;
	a[1] = zn % n;
	a[0] = zn / n;
}

void solve() {
	int l, r;
	cin >> l >> r;
	int len = r - l + 1;
	int k = l;
	int zn = 3;
	while (k > zn * zn * zn) {
		k -= zn * zn * zn;
		zn++;
	}
	k--;
	vector<int> a(3);
	go(a, k, zn);
	
	for (int i = 0; i < len; i++) {
		int one = a[0] + 1;
		int two = a[1] + 1;
		int three = a[2] + 1;
		int left = binPow(one, zn) + binPow(two, zn);
		int right = binPow(three, zn);
		char c;
		if (left > right) c = '>';
		else c = '<';
		cout << one << '^' << zn << '+' << two << '^' << zn << c << three << '^' << zn << '\n';
		a[2]++;
		if (a[2] == zn) {
			a[2] = 0;
			a[1]++;
		}
		if (a[1] == zn) {
			a[1] = 0;
			a[0]++;
		}
		if (a[0] == zn) {
			a[0] = a[1] = a[2] = 0;
			zn++;
		}
	}

}

signed main() {
	ios_base::sync_with_stdio(false);
	cin.tie(nullptr);
	cout.tie(nullptr);
	solve();
}
