#include <bits/stdc++.h>
using namespace std;

struct vect
{
    long double x, y;
    vect(long double x, long double y) : x(x), y(y) {}
    long double operator *(vect a)
    {
        return x * a.y - y * a.x;
    }
    long double operator %(vect a)
    {
        return x * a.x + y * a.y;
    }
    vect operator - (vect a)
    {
        return vect(x - a.x, y - a.y);
    }
};

bool isIntersect(long double bx1, long double by1, long double bx2, long double by2, long double x1, long double y1, long double x2, long double y2)
{
    vect v = vect(x2 - x1, y2 - y1);
    vect va = vect(bx1 - x1, by1 - y1);
    vect vb  = vect(bx2 - x1, by2 - y1);
    return (v * va) * (v * vb) <= 0;
}


vect point(long double a1, long double b1, long double c1, long double a2, long double b2, long double c2)
{
    long double x = (b1 * c2 - b2 * c1) / (a1 * b2 - a2 * b1);
    long double y = (a1 * c2 - a2 * c1) / (b1 * a2 - b2 * a1);
    return vect(x, y);
}


int main() {
//    ios_base::sync_with_stdio(false);
//    cin.tie(0);
//    cout.tie(0);
    int n;
    cin >> n;
    for (int i = 0; i < n; i++)
    {
        long double ax1, ay1, ax2, ay2, bx1, by1, bx2, by2;
        cin >> ax1 >> ay1 >> ax2 >> ay2 >> bx1 >> by1 >> bx2 >> by2;
        long double vx, vy;
        cin >> vx >> vy;
        vect v = vect(vx, vy);
        vect a1 = vect(ax1, ay1);
        vect a2 = vect(ax2, ay2);
        vect b1 = vect(bx1, by1);
        vect b2 = vect(bx2, by2);
        vect a12 = a2 - a1;
        vect b12 = b2 - b1;
        if (a12 * b12 == 0)
        {
            long double aa1 = - a12.y;
            long double ab1 = a12.x;
            long double ac1 = -(ax1 * aa1 + ab1 * ay1);

            long double ba2 = - b12.y;
            long double bb2 = b12.x;
            long double bc2 = -(bx1 * ba2 + bb2 * by1);
            if (ac1 * bb2 - ab1 * bc2 == 0)
            {
                cout << "No" << endl;
                continue;
            }
        }
        if (v * (b2 - b1) == 0)
        {
            vect a12 = a2 - a1;
            vect a2b1 = b1 - a2;
            vect a21 = a1 - a2;
            vect a1b1 = b1 - a1;
            if (((a12 * a2b1) * (v * a2b1) >= 0) && ((a21 * a1b1) * (v * a1b1) >= 0))
            {
                cout << "Yes" << endl;
                continue;
            }
            vect a2b2 = b2 - a2;
            vect a1b2 = b2 - a1;
            if (((a12 * a2b2) * (v * a2b2) >= 0) && ((a21 * a1b2) * (v * a1b2) >= 0))
            {
                cout << "Yes" << endl;
                continue;
            }
            cout << "No" << endl;
            continue;
        }

        vect a2b1 = b1 - a2;
        vect a21 = a1 - a2;
        vect a1b1 = b1 - a1;
        if (((a12 * a2b1) * (v * a2b1) >= 0) && ((a21 * a1b1) * (v * a1b1) >= 0))
        {
            cout << "Yes" << endl;
            continue;
        }
        vect a2b2 = b2 - a2;
        vect a1b2 = b2 - a1;
        if (((a12 * a2b2) * (v * a2b2) >= 0) && ((a21 * a1b2) * (v * a1b2) >= 0))
        {
            cout << "Yes" << endl;
            continue;
        }
        if (!isIntersect(bx1, by1, bx2, by2, ax1, ay1, ax1 + vx, ay1 + vy))
        {
            cout << "No" << endl;
            continue;
        }
        vect h = point(-vy, vx, -(-ax1 * vy + ay1 * vx), by1 - by2, bx2 - bx1, -(bx1 * (by1 - by2) + by1 * (bx2 - bx1)));
        vect a1h = h - a1;
//        cout << a1h.x << " " << a1h.y << endl;
//        cout << a1h % v << endl;
        if (a1h % v >= 0)
        {
            cout << "Yes" << endl;
        }
        else
        {
            cout << "No" << endl;
        }
    }
}

/*
0 0 5 0 7 0 9 0 1 1
*/
