#include <iostream>
#include <vector>
#include <algorithm>
#include <cassert>
#include <set>
#include <cmath>
#include <sstream>
#include <queue>
#include <map>

#define M_PI 3.14159265358979323846
#define Infinity 1000000000.
using namespace std;

#define deb(x) do { cout << #x" = " << x << endl ;} while (0)
// #define deb(x)

#define x first
#define y second
#define xy pair<int, int>

// struct xy
// {
// 	int x, y;
// };
bool equal(float a, float b)
{
	return abs(a - b) < 0.0000001;
}
pair<float, float> get_line(pair<float, float> point, pair<float, float> nap)
{
	if (nap.first == 0)
	{
		return { Infinity, point.first};
	}
	float k = nap.second / nap.first;
	return { k, point.second - point.first * k };
}

pair<float, float> get_per(pair<float, float> line1, pair<float, float> line2)
{
	if (equal(line2.first, Infinity))
		swap(line1, line2);
	if (equal(line1.first, Infinity))
	{
		if (!equal(line2.first, Infinity))
		{
			return { line1.second, line2.first * line1.second + line2.second };
		}
		else return { Infinity, Infinity };
	}
	line1.first -= line2.first;
	line1.second -= line2.second;
	if (equal(line1.first, 0.))
	{
		if (equal(line1.second, 0.)) {
			return { Infinity, 0 };
		}
		return { Infinity, Infinity };
	}
	float X = -line1.second / line1.first;
	float Y = X * line2.first + line2.second;
	return { X, Y };
}

bool is_per(pair<float, float> line, pair<float, float> point1, pair<float, float> point2, pair<float, float> nap, pair<int, int> point)
{
	auto line1 = get_line(point1, { point2.first - point1.first, point2.second - point1.second });

	auto pointp = get_per(line1, line);
	bool f = false;
	if (!equal(pointp.first, Infinity))
		f |= nap.y * ((pointp.y) - point.y) >= 0 && nap.x * ((pointp.x) - point.x) >= 0 && (pointp.first >= min(point1.first, point2.first)) && (pointp.first <= max(point1.first, point2.first)) && (pointp.second >= min(point1.second, point2.second)) && (pointp.second <= max(point1.second, point2.second));
	else f |= (point1.y - point.y) * nap.y >= 0 && (point1.x - point.x) * nap.x >= 0 && equal(pointp.second, 0.);

	line1 = get_line(point2, { point1.first - point2.first, point1.second - point2.second });
	pointp = get_per(line1, line);
	if (!equal(pointp.first, Infinity))
		f |= nap.y * ((pointp.y) - point.y) >= 0 && nap.x * ((pointp.x) - point.x) >= 0 && (pointp.first >= min(point1.first, point2.first)) && (pointp.first <= max(point1.first, point2.first)) && (pointp.second >= min(point1.second, point2.second)) && (pointp.second <= max(point1.second, point2.second));
	else f |= (point1.y - point.y) * nap.y >= 0 && (point1.x - point.x) * nap.x >= 0 && equal(pointp.second, 0.);
	return f;
}
signed main()
{
	int q;
	cin >> q;

	while (q--) {
		float vx, vy;
		float x[4], y[4];
		for (int i = 0; i < 4; i++) {
			cin >> x[i] >> y[i];
		}
		cin >> vx >> vy;
		bool f = false;
		for (int i = 0; i < 2; i++)
		{
			for (int i = 0; i < 2; i++)
			{
				f |= is_per(get_line({ x[i], y[i] }, { vx, vy }), { x[2], y[2] }, { x[3], y[3] }, { vx, vy }, {x[i], y[i]});
			}
			swap(x[0], x[2]);
			swap(x[1], x[3]);
			swap(y[0], y[2]);
			swap(y[1], y[3]);
			vx *= -1;
			vy *= -1;
		}
		if (f)
			cout << "Yes\n";
		else cout << "No\n";
	}
}