#include <iostream>
#include <cstdio>
#include <algorithm>
#include <vector>
#include <deque>
#include <complex>
#define INF 1e18
#define int long long
#define pii pair<int,int>

using namespace std;
typedef long double C;
typedef complex<C> P;

#define X real()
#define Y imag()

struct point {
	C x, y;
};
const C eps = 1e-9;

bool equal(C a, C b) {
	return fabs(a - b) < eps;
}

C ugl(P a, P b) {
	C fir = arg(a), sec = arg(b);
	return min(abs(fir - sec), 2 * acos(-1) - abs(fir - sec));
}

bool ans(point a, point b, point c, P p) {
	P fir = { b.x - a.x, b.y - a.y }, sec = {c.x - a.x, c.y - a.y};
	return equal(ugl(p, fir) + ugl(p, sec), ugl(fir, sec));
}

signed main() {
#ifdef LOCAL_DEBUG
	freopen("input.txt", "r", stdin);
#endif 
	ios::sync_with_stdio(0);
	cin.tie(0);

	int n; cin >> n;
	for (int i = 0; i < n; i++) {
		point a, b, c, d; cin >> a.x >> a.y >> b.x >> b.y >> c.x >> c.y >> d.x >> d.y;
		C x, y; cin >> x >> y;
		P p = {x, y};

		bool res = 0;
		res |= ans(c, a, b,  -p);
		res |= ans(d, a, b,  -p);
		res |= ans(a, c, d,  p);
		res |= ans(b, c, d,  p);
		cout << (res ? "Yes" : "No")<< endl;
	}

	return 0;
}