#include <iostream>
#include <vector>
#include <algorithm>
using namespace std;

struct pii {
	int x, y;
};

int n, m;

vector<pii> make_path(vector<pii> used) {
	vector<pii> ans(n + m - 1, { -1, -1 });
	for (auto x : used) {
		ans[x.x + x.y] = x;
	}
	int prev = 0;
	for (int i = 1; i < n + m - 1; i++) {
		if (ans[i].x == -1) {
			continue;
		}

		int j = prev + 1;
		if (prev == i - 1) {
			prev = i;
			continue;
		}
		int x = ans[prev].x, y = ans[prev].y;
		int f = 0;
		if (ans[i].x == n - 1) {
			f++;
		}
		while (x < (ans[prev].x + ans[i].x + f) / 2) {
			ans[j++] = { ++x, y };
		}
		while (y < ans[i].y) {
			ans[j++] = { x, ++y };
		}
		while (x < ans[i].x) {
			ans[j++] = { ++x, y };
		}
		prev = i;
	}
	return ans;
}

void output(vector<pii> ans) {
	for (int i = 1; i < ans.size(); i++) {
		if (ans[i].x == ans[i - 1].x) {
			cout << "R";
		}
		else {
			cout << "D";
		}
	}
	cout << endl;
}

int main() {
	cin >> n >> m;
	if (n == 2) {
		string s;
		for (int i = 1; i < m; ++i) {
			s.push_back('R');
		}
		for (int i = 1; i < n; ++i) {
			s.push_back('D');
		}
		cout << "? " << s << endl;
		int cnt;
		cin >> cnt;
		int x, y;
		for (int i = 0; i < cnt; ++i) {
			cin >> x >> y;
		}
		s = "";
		for (int i = 0; i < min(m - 1, cnt - 2); ++i) {
			s.push_back('R');
		}
		s.push_back('D');
		while (s.size() < n + m - 2) {
			s.push_back('R');
		}
		cout << "! " << s << endl;
		return 0;
	}
	vector<pii> used;
	used.push_back({ 0, 0 });
	used.push_back({ n - 1, m - 1 });
	int cnt = 2;
	vector<pii> ans;
	while (cnt < n + m - 2) {
		ans = make_path(used);
		cout << "? ";
		output(ans);
		cin >> cnt;
		used.clear();
		used.resize(cnt);
		for (int i = 0; i < cnt; i++) {
			cin >> used[i].x >> used[i].y;
			used[i].x--, used[i].y--;
		}
	}
	cout << "! ";
	output(used);
	return 0;
}
