#include <bits/stdc++.h>

using namespace std;
using li = long long;

struct Point {
    int x, y;

    Point(int x, int y) : x(x), y(y) {};
};

struct Vect {
    int x, y;

    Vect(int x, int y) : x(x), y(y) {};

    Vect(Point p, Point q) : x(q.x - p.x), y(q.y - p.y) {};
};

li scal(Vect v1, Vect v2) {
    return v1.x * 1ll * v2.x + v1.y * 1ll * v2.y;
}

li vect(Vect v1, Vect v2) {
    return v1.x * 1ll * v2.y - v1.y * 1ll * v2.y;
}

int sign(li a) {
    return (a < 0 ? -1 : (a > 0 ? 1 : 0));
}

int svect(Vect v1, Vect v2) {
    return sign(vect(v1, v2));
}

int sscal(Vect v1, Vect v2) {
    return sign(scal(v1, v2));
}

/*
2
0 2 1 1 2 2 3 1 1 1
0 2 1 1 2 2 3 1 -1 -1
*/

bool is(Point a, Point c, Point d, Vect v) {
    Vect ac(a, c), ad(a, d);

    if(svect(ac, v) <= 0 && svect(ad, v) >= 0) {
        if(sscal(ac, v) >= 0 && sscal(ad, v) >= 0) {
            return true;
        } else if(sscal(ac, v) <= 0 && sscal(ad, v) >= 0) {
            if(svect(ad, ac) >= 0)
                return true;
            else
                return false;
        } else if(sscal(ac, v) >= 0 && sscal(ad, v) <= 0) {
            if(svect(ac, ad) >= 0)
                return true;
            else
                return false;
        }
    }
}

void solve() {
    int x1, y1, x2, y2, x3, y3, x4, y4, vx, vy;
    cin >> x1 >> y1 >> x2 >> y2 >> x3 >> y3 >> x4 >> y4 >> vx >> vy;

    Point a(x1, y1), b(x2, y2), c(x3, y3), d(x4, y4);
    Vect v(vx, vy);

    bool ans = is(a, c, d, v) || is(a, d, c, v) || is(b, c, d, v) || is(b, d, c, v);


    cout << (ans ? "Yes" : "No") << endl;;
}

int main() {
    int n;
    cin >> n;

    while(n--)
        solve();
}
