#include <bits/stdc++.h>

#define int long long
//#define endl '\n'
#define mp make_pair
#define pb emplace_back
#define all(C) (C).begin(), (C).end()
#define rall(C) (C).rbegin(), (C).rend()
#define dbg(x) cerr << #x << " : " << x << endl

using namespace std;

using ll = long long;
using ld = double;
using pii = pair <int, int>;
using pll = pair <ll, ll>;
using pld = pair <ld, ld>;

template <class T>
istream& operator>> (istream &in, vector <T> &a) {for (auto &i : a) in >> i; return in;}
template <class T>
ostream& operator<< (ostream &out, vector <T> a) {for (auto i : a) out << i << " "; return out;}
template <class T, class U>
istream& operator>> (istream &in, pair <T, U> &a) {in >> a.first >> a.second; return in;}
template <class T, class U>
ostream& operator<< (ostream &out, pair <T, U> a) {out << a.first << " " << a.second; return out;}

class Point {
public:
    int128_t x, y;
    Point(int128_t x, int128_t y): x(x), y(y) {}
};

class Vector {
public:
    int128_t x, y;
    Vector(int128_t x, int128_t y): x(x), y(y) {}
    Vector(Point a, Point b) {
        x = b.x - a.x;
        y = b.y - a.y;
    }
    int128_t operator* (Vector v) {
        return x * v.x + y * v.y;
    }
    int128_t operator% (Vector v) {
        return x * v.y - y * v.x;
    }
};

class Line {
public:
    int128_t a, b, c;
    Line(Point p1, Point p2) {
        a = p1.y - p2.y;
        b = p2.x - p1.x;
        c = -a * p1.x - b * p1.y;
    }
    int128_t operator() (Point p) {
        return a * p.x + b * p.y + c;
    }
    bool contains(Point p) {
        return (*this)(p) == 0;
    }
};

class Segment {
public:
    Point a, b;

    Segment(Point a, Point b): a(a), b(b) {}

    bool contains(Point p) {
        return Line(a, b).contains(p) && min(a.x, b.x) <= p.x && p.x <= max(a.x, b.x) && min(a.y, b.y) <= p.y && p.y <= max(a.y, b.y);
    }
};

int128_t sign(int128_t x)
{
    return x < 0 ? -1 : x > 0 ? 1 : 0;
}

bool check_(Segment f, Segment s)
{
    Vector atb(f.a, f.b);
    Vector asa(f.a, s.a);
    Vector asb(f.a, s.b);
    if (atb % asa == 0 || atb % asb == 0)
        return true;
    return sign(atb % asa) != sign(atb % asb);
}
int check(Segment f, Segment s)
{
    if(Vector(f.a, f.b) % Vector(f.a, s.a) == 0 && Vector(f.a, f.b) % Vector(f.a, s.b) == 0) {
        return f.contains(s.a) || f.contains(s.b) || s.contains(f.a) || s.contains(f.b);
    }
    return check_(f, s) && check_(s, f);
}
signed main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    int n;
    cin >> n;
    for(int i = 0; i < n; i++) {
        int ax1, ay1, ax2, ay2, bx1, by1, bx2, by2, vx, vy;
        cin >> ax1 >> ay1 >> ax2 >> ay2 >> bx1 >> by1 >> bx2 >> by2 >> vx >> vy;
        Point a1(ax1, ay1);
        Point a2(ax2, ay2);
        Point b1(bx1, by1);
        Point b2(bx2, by2);
        Segment a(a1, a2);
        Segment b(b1, b2);
        Segment a1v(a1, Point(ax1 + vx * 3000000, ay1 + vy * 3000000));
        Segment b1v(b1, Point(bx1 - vx * 3000000, by1 - vy * 3000000));
        Segment a2v(a2, Point(ax2 + vx * 3000000, ay2 + vy * 3000000));
        Segment b2v(b2, Point(bx2 - vx * 3000000, by2 - vy * 3000000));
        if (check(a1v, b) || check(a2v, b) || check(b1v, a) || check(b2v, a)) {
            cout << "Yes\n";
        } else {
            cout << "No\n";
        }
        /*
        Ray ra1(a1, a1 + v);
        Ray ra2(a2, a2 + v);
        Ray rb1(b1, b1 - v);
        Ray rb2(b2, b2 - v);

        if((ra1 & b).nonempty() || (ra2 & b).nonempty() || (rb1 & a).nonempty() || (rb2 & a).nonempty()) {
            cout << "Yes\n";
        } else {
            cout << "No\n";
        }
        */
    }

    return 0;
}

