#include "iostream"
#include "algorithm"
#include "set"
#include "vector"
#include "string"
#include "math.h"
#include "map"
#include "deque"
#include "stack"
#include "queue"
#include "unordered_map"
#include "unordered_set"
#include "iomanip"
#define ll long long
#define ld long double
#define w while
#define forn(i, n) for (i = 0; i < n; i++)
#define con continue
#define br break
#define int signed
#define elif else if
#define EPS 1e-9
using namespace std;

const ld pi = atan2(0, -1);

ld at2pol(ll y, ll x) {
	ld z = atan2(y, x);
	if (z - EPS < 0) {
		return pi * 2 + z;
	} else {
		return z;
	}
}

struct vect {
	ll x, y;
	vect(ll a, ll b) : x(a), y(b) {}
	vect() : x(0), y(0) {}
	vect operator + (const vect &m) const {
		return { m.x + x, m.y + y };
	}
	vect operator - (const vect &m) const {
		return { x - m.x, y - m.y };
	}
	vect operator * (const ll& m) const {
		return { x * m, y * m };
	}
	ll operator * (const vect &m) const {
		return x* m.x + y * m.y;
	}
	ll operator % (const vect &m) const {
		return x * m.y - y * m.x;
	}
	ld operator / (const vect &m) const {
		return atan2(*this % m, *this * m);
	}
	bool operator || (const vect &m) const {
		return ((*this % m == 0) && ((m.x > 0) == (x > 0)) && ((m.y > 0) == (y > 0))) || (x == y && x == 0) || (m.x == m.y && m.x == 0);
	}
};


struct seg {
	vect a, b;
	seg (vect a, vect b) : a(a), b(b) {}
	seg () : a(), b() {}
};

bool infig(vect point, vector <vect> fig) {
	ll ort = 0;
	ll l = (ort + 1) % fig.size();
	ll r = ort - 1 + fig.size();
	if (((fig[l] - fig[ort]) % (point - fig[ort])) < 0 || ((point - fig[ort]) % (fig[r % fig.size()] - fig[ort])) < 0)
		return 0;
	ll m;
	w(l < r - 1) {
		m = (l + r) / 2;
		if (((fig[m % fig.size()] - fig[ort]) % (point - fig[ort])) >= 0 && ((point - fig[ort]) % (fig[(ort - 1 + fig.size()) % fig.size()] - fig[ort])) >= 0)
			l = m;
		else
			r = m;
	}
	if (((fig[ort] - fig[r % fig.size()]) % (point - fig[r % fig.size()])) >= 0
		&& ((point - fig[r % fig.size()]) % (fig[l % fig.size()] - fig[r % fig.size()])) >= 0
		&& ((fig[r % fig.size()] - fig[l % fig.size()]) % (point - fig[l % fig.size()])) >= 0
		&& ((point - fig[l % fig.size()]) % (fig[ort] - fig[l % fig.size()])) >= 0
		&& ((fig[l % fig.size()] - fig[ort]) % (point - fig[ort])) >= 0
		&& ((point - fig[ort]) % (fig[r % fig.size()] - fig[ort])) >= 0
		)
		return 1;
	return 0;
}

signed main() {
	ios_base::sync_with_stdio(0);
	cin.tie(0);
	cout.tie(0);
	ll n, i, xx, yy, x, y;
	seg o1, o2;
	vect v;
	cin >> n;
	forn(i, n) {
		cin >> x >> y >> xx >> yy;
		o1 = { { x, y }, { xx, yy } };
		cin >> x >> y >> xx >> yy;
		o2 = { { x, y }, { xx, yy } };
		cin >> x >> y;
		v = { x, y };
		ll c;
		if (v.x == 0) {
			c = 1000000 / v.y;
		} elif (v.y == 0) {
			c = 1000000 / v.x;
		} else {
			c = 1000000 / min(abs(v.x), abs(v.y));
		}
		vector <vect> f;
		f.push_back(o1.a);
		f.push_back(o1.b);
		f.push_back(o1.b + (v * c));
		f.push_back(o1.a + (v * c));
		if (infig(o2.a, f) || infig(o2.b, f)) {
			cout << "Yes" << endl;
			con;
		}
		f.clear();
		f.push_back(o2.a);
		f.push_back(o2.b);
		f.push_back(o2.b - (v * c));
		f.push_back(o2.a - (v * c));
		if (infig(o1.a, f) || infig(o1.b, f)) {
			cout << "Yes" << endl;
			con;
		}
		cout << "No" << endl;
	}
	return 0;
}