class Vector:
    def __init__(self, x, y):
        self.x = x
        self.y = y
    
    def dot(self, b):
        return self.x * b.x + self.y * b.y
    
    def cross(self, b):
        return self.x * b.y - self.y * b.x
    
    def __add__(self, b):
        return Vector(self.x + b.x, self.y + b.y)
    
    def __sub__(self, b):
        return Vector(self.x - b.x, self.y - b.y)
    
def sign(x):
    if x > 0:
        return 1
    elif x < 0:
        return -1
    else:
        return 0

def is_in(a, b, v, x):
    if (x - a).cross(v) * (x - b).cross(v) <= 0 and (b - a).cross(x - a) * (a - b).cross(x - b) < 0:
        return True
    else:
        return False

def sq(a, b, c):
    return abs((b - a).cross(c - a)) / 2

def in_sq(arr, x):
    S = sq(arr[0], arr[1], arr[2])
    S += sq(arr[2], arr[3], arr[0])
    s = 0
    for i in range(4):
        s += sq(arr[i], arr[i - 1], x)
    if S == 0:
        return False
    if S == s:
        return True
    else:
        return False


n = int(input())
arr = []
ret = []
for i in range(n):
    ax1, ay1, ax2, ay2, bx1, by1, bx2, by2, vx, vy = map(int, input().split())
    a1 = Vector(ax1, ay1)
    a2 = Vector(ax2, ay2)
    b1 = Vector(bx1, by1)
    b2 = Vector(bx2, by2)
    v = Vector(100000000 * vx, 100000000 *vy)
    v1 = Vector(-vx * 100000000, -vy * 100000000)
    
    a3 = a1 + v
    a4 = a2 + v
    
    b3 = b1 + v1
    b4 = b2 + v1
    
    flag = 0
    if in_sq([a1, a3, a4, a2], b1):
        flag += (1)
    if in_sq([a1, a3, a4, a2], b2):
        flag += (2)
    if in_sq([b1, b3, b4, b2], a1):
        flag += (3)
    if in_sq([b1, b3, b4, b2], a2):
        flag += (4)
        
    if (a3 - a1).dot(b1 - a1) > 0 and (a3 - a1).cross(b1 - a1) == 0:
        flag += (5)
    if (a3 - a1).dot(b2 - a1) > 0 and (a3 - a1).cross(b2 - a1) == 0:
        flag += (6)
        
    if (a4 - a2).dot(b1 - a2) > 0 and (a4 - a2).cross(b1 - a2) == 0:
        flag += (5)
    if (a4 - a2).dot(b2 - a2) > 0 and (a4 - a2).cross(b2 - a2) == 0:
        flag += (6)
        
    if (b3 - b1).dot(a1 - b1) > 0 and (b3 - b1).cross(a1 - b1) == 0:
        flag += (5)
    if (b3 - b1).dot(a2 - b1) > 0 and (b3 - b1).cross(a2 - b1) == 0:
        flag += (6)
        
    if (b4 - b2).dot(a1 - b2) > 0 and (b4 - b2).cross(a1 - b2) == 0:
        flag += (5)
    if (b4 - b2).dot(a2 - b2) > 0 and (b4 - b2).cross(a2 - b2) == 0:
        flag += (6)
    
    if flag:
        ret.append('Yes')
    else:
        ret.append('No')
print('\n'.join(ret))