#define _CRT_SECURE_NO_WARNINGS

#include <iostream>
#include <algorithm>
#include <string>
#include <math.h>
#include <vector> 

using namespace std;

typedef long long ll;
typedef long long LL;
typedef long double LD;

const ll maxn = ll(1e3) + 13;

ll f(ll x) {
	if (x <= 2) {
		return 0LL;
	}
	return x * x * x * (x - 2);
}

ll deg(ll x, ll n) {
	ll res = 1;
	for (ll i = 0; i < n; ++i) {
		res *= x;
	}
	return res;
}

bool check(LL a, LL b, LL c, LL p) {
	if (p <= 6) {
		a = deg(a, p), b = deg(b, p), c = deg(c, p);
		return a + b > c;
	}


	if (a > b)
		swap(a, b);
	LD r1 = 0, r2 = 0;
	LL x = a;
	for (int i = 2; i <= x; i++) {
		int cnt = 0;
		while (x % i == 0)
			cnt++, x /= i;
		r1 += log(i) * cnt * p;
	}
	x = c;
	for (int i = 2; i <= x; i++) {
		int cnt = 0;
		while (x % i == 0)
			cnt++, x /= i;
		r2 += log(i) * cnt * p;
	}
	
	if (a == b)
		r1 += log(2.0);
	else {
		LD flex = b / a;
		r1 += log(flex) * p;
	}
	return r1 > r2;
}

void solve(ll pos) {
	ll l = 2;
	ll r = maxn;
	while (l + 1 < r) {
		ll m = (l + r) / 2;
		if (f(m) >= pos) {
			r = m;
		}
		else {
			l = m;
		}
	}
	ll mx = r;
	pos -= f(mx - 1);
	--pos;
	vector<ll> res(4);
	ll fl = 0;
	for (ll i = 0; i < 4; ++i) {
		for (ll x = 1; x <= mx; ++x) {
			if (i == 3 && x <= 2) {
				continue;
			}
			if (i == 3) {
				if (!fl) {
					fl = 1;
					res[i] = mx;
					break;
				}
				if (pos == 0) {
					res[i] = x;
					break;
				}
				--pos;
				continue;
			}
			ll cnt = 0;
			if (fl || x == mx) {
				cnt = deg(mx, 2 - i) * (mx - 2);
			}
			else {
				cnt = deg(mx, 2 - i) * (mx - 2);
				cnt -= deg(mx - 1, 2 - i) * (mx - 3);
			}
			if (pos >= cnt) {
				pos -= cnt;
				continue;
			}
			res[i] = x;
			if (x == mx) {
				fl = 1;
			}
			break;
		}
	}
	
	char tp = (check(res[0], res[1], res[2], res[3]) ? '>' : '<');

	cout << res[0] << "^" << res[3] << "+";
	cout << res[1] << "^" << res[3] << tp;
	cout << res[2] << "^" << res[3] << "\n";
}

int main() {
#ifdef _DEBUG
	freopen("input.txt", "r", stdin);
	freopen("output.txt", "w", stdout);
#else
	ios_base::sync_with_stdio(false);
	cin.tie(0);
#endif
	ll l, r;
	cin >> l >> r;
	for (ll pos = l; pos <= r; ++pos) {
		solve(pos);
	}
}