#define _CRT_SECURE_NO_WARNINGS

#include <iostream>
#include <algorithm>
#include <string>
#include <math.h>
#include <vector> 

using namespace std;

typedef long long ll;

const ll maxn = ll(1e3) + 13;

ll f(ll x) {
	if (x <= 2) {
		return 0LL;
	}
	return x * x * x * (x - 2);
}

ll deg(ll x, ll n) {
	ll res = 1;
	for (ll i = 0; i < n; ++i) {
		res *= x;
	}
	return res;
}

vector<ll> solve(ll pos) {
	ll l = 2;
	ll r = maxn;
	while (l + 1 < r) {
		ll m = (l + r) / 2;
		if (f(m) >= pos) {
			r = m;
		}
		else {
			l = m;
		}
	}
	ll mx = r;
	pos -= f(mx - 1);
	--pos;
	vector<ll> res(4);
	ll fl = 0;
	for (ll i = 0; i < 4; ++i) {
		for (ll x = 1; x <= mx; ++x) {
			if (i == 3 && x <= 2) {
				continue;
			}
			if (i == 3) {
				if (!fl) {
					fl = 1;
					res[i] = mx;
					break;
				}
				if (pos == 0) {
					res[i] = x;
					break;
				}
				--pos;
				continue;
			}
			ll cnt = 0;
			if (fl || x == mx) {
				cnt = deg(mx, 2 - i) * (mx - 2);
			}
			else {
				cnt = deg(mx, 2 - i) * (mx - 2);
				cnt -= deg(mx - 1, 2 - i) * (mx - 3);
			}
			if (pos >= cnt) {
				pos -= cnt;
				continue;
			}
			res[i] = x;
			if (x == mx) {
				fl = 1;
			}
			break;
		}
	}
	return res;
}

struct num {
	vector<ll> x;
	ll n;

	num() : x({ 0 }), n(1) {}
	num(ll val) {
		if (val == 0) {
			n = 1;
			x.push_back(0);
		}
		n = 0;
		while (val > 0) {
			x.push_back(val % 10);
			++n;
			val /= 10;
		}
	}
	void operator+=(num a) {
		if (n < a.n) {
			for (ll i = 0; i < a.n - n; ++i) {
				x.push_back(0);
			}
			n = a.n;
		}
		for (ll i = 0; i < n; ++i) {
			if (i < a.n) x[i] += a.x[i];
			if (x[i] >= 10) {
				if (i + 1 >= n) {
					++n;
					x.push_back(0);
				}
				x[i + 1] += x[i] / 10;
				x[i] %= 10;
			}
		}
	}
	void buf(ll d) {
		n += d;
		for (ll i = 0; i < d; ++i) {
			x.push_back(0);
		}
		for (ll i = n - 1; i >= d; --i) {
			x[i] = x[i - d];
		}
		for (int i = 0; i < d; ++i) {
			x[i] = 0;
		}
	}
	num operator*(num a) {
		num res;
		for (ll i = 0; i < a.n; ++i) {
			num cur = *this;
			for (ll j = 0; j < cur.n; ++j) {
				cur.x[j] *= a.x[i];
			}
			for (ll j = 0; j < cur.n; ++j) {
				if (cur.x[j] >= 10) {
					if (j + 1 >= cur.n) {
						++cur.n;
						cur.x.push_back(0);
					}
					cur.x[j + 1] += cur.x[j] / 10;
					cur.x[j] %= 10;
				}
			}
			cur.buf(i);
			res += cur;
		}
		return res;
	}
	void print() {
		for (int i = n - 1; i >= 0; --i) {
			cout << x[i];
		}
	}
	bool operator<(num a) {
		for (int i = max(n, a.n) - 1; i >= 0; --i) {
			int xt = (i < n ? x[i] : 0);
			int xa = (i < a.n ? a.x[i] : 0);
			if (xt != xa) {
				return xt < xa;
			}
		}
		return 0;
	}
};

num bp(num x, int n) {
	num res(1);
	while (n) {
		if (n & 1)
			res = res * x;
		x = x * x;
		n >>= 1;
	}
	return res;
}

int main() {
#ifdef _DEBUG
	freopen("input.txt", "r", stdin);
	freopen("output.txt", "w", stdout);
#else
	ios_base::sync_with_stdio(false);
	cin.tie(0);
#endif
	ll l, r;
	cin >> l >> r;
	auto res = solve(l);
	vector<num> a(3);
	for (int i = 0; i < 3; ++i) {
		a[i] = bp(num(res[i]), res[3]);
	}
	for (int i = 0; i < r - l + 1; ++i) {
		char tp;
		num sum = a[0];
		sum += a[1];
		if (sum < a[2]) {
			tp = '<';
		}
		else {
			tp = '>';
		}
		cout << res[0] << "^" << res[3] << "+";
		cout << res[1] << "^" << res[3] << tp;
		cout << res[2] << "^" << res[3] << "\n";
		ll mx = max({res[0], res[1], res[2], res[3]});
		ll mn = min({ res[0], res[1], res[2], res[3] });
		if (mx == mn) {
			vjdsivjsfjd
		}
	}
}