#include <bits/stdc++.h>


using namespace std;


#define int long long


void warp()
{
    //freopen("input.txt", "r", stdin);
    //freopen("output.txt", "w", stdout);
    cin.tie(0);
    cout.tie(0);
    ios_base::sync_with_stdio(false);
}


#define point pair<int, int>
#define x first
#define y second


istream& operator >> (istream& in, point &a)
{
    in >> a.x >> a.y;
    return in;
}


ostream& operator << (ostream& out, point a)
{
    out << a.x << " " << a.y;
    return out;
}


point operator+(point a, point b)
{
    return point(a.x + b.x, a.y + b.y);
}


point operator-(point a, point b)
{
    return point(a.x - b.x, a.y - b.y);
}


struct line
{
    int a, b, c;
    line()
    {
        a = 1;
        b = 0;
        c = 0;
    }
    line(point l, point r)
    {
        point k = r - l;
        point normal(-k.y, k.x);
        a = normal.x;
        b = normal.y;
        c = -(a * l.x + b * l.y);
    }
    int val(point k)
    {
        return a * (k.x) + b * (k.y) + c;
    }
};


int sgn(int a)
{
    if (a > 0) return 1;
    if (a < 0) return -1;
    return 0;
}


bool between(line a, line b, point c)
{
    return sgn(a.val(c)) * sgn(b.val(c)) <= 0;
}


bool cross(line l, point a, point b)
{
    return sgn(l.val(a)) * sgn(l.val(b)) <= 0;
}


bool oneSide(line l, point a, point b)
{
    return sgn(l.val(a)) * sgn(l.val(b)) >= 0;
}


int operator *(point a, point b)
{
    return a.x * b.y - a.y * b.x;
}


bool inAngle(point a, point b, point c, point p)
{
    c = c - b;
    a = a - b;
    p = p - b;
    if (c * a < 0) swap(a, c);
    return (c * p >= 0 && p * a >= 0);
}


bool rayCross(point a, point b, point c, point d)
{
    point k = c + (b - a);
    return inAngle(a, c, k, d);
}


bool segmentRay(point a, point b, point c, point d)
{
    return rayCross(a, b, c, d) && rayCross(b, a, c, d);
}


bool solve()
{
    point a1, a2, b1, b2, v;
    cin >> a1 >> a2 >> b1 >> b2 >> v;
    if ((a2 - a2) * v == 0) return segmentRay(b1, b2, a1, a2);
    line ft(a1, a1 + v);
    line sc(a2, a2 + v);
    line a(a1, a2);
    if (between(ft, sc, b1) && oneSide(a, b1, a1 + v)) return true;
    if (between(ft, sc, b2) && oneSide(a, b2, a1 + v)) return true;
    if (segmentRay(b1, b2, a1, a1 + v) || segmentRay(b1, b2, a2, a2 + v)) return true;
    return false;
}


signed main()
{
    warp();
    int n;
    cin >> n;
    for (int i = 0; i < n; i++)
    {
        if (solve()) cout << "YES\n";
        else cout << "NO\n";
    }
    /*
    point a, b, c, d;
    cin >> a >> b >> c >> d;
    if (rayCross(a, b, c, d)) cout << "YES\n";
    else cout << "NO\n";
        */
    warp();
}
