#include <bits/stdc++.h>
using namespace std;

typedef long double ld;

ld eps = 1e-6;
ld bad = 15223523.0;
ld good = 23492423.0;

struct point {
public:
	ld x, y;
};

ld dist(point a, point b) {
    return hypot(a.x - b.x, a.y - b.y);
}

point add(point a, point b) {
	a.x += b.x;
	a.y += b.y;
	return a;
}

bool paral(ld x, ld y, ld X, ld Y) {
	return (x * Y - X * y) <= eps;
}

bool in(point x, point l, point r) {
	bool res = ((l.x <= x.x && x.x <= r.x) || (r.x <= x.x && x.x <= l.x));
    res &= ((l.y <= x.y && x.y <= r.y) || (r.y <= x.y && x.y <= l.y));
    return res;
}

point per(point a, point A, point b, point B) {
    ld a1 = A.y - a.y;
    ld b1 = a.x - A.x;
    ld c1 = -a1 * A.x - b1 * A.y;

    ld a2 = B.y - b.y;
    ld b2 = b.x - B.x;
    ld c2 = -a2 * B.x - b2 * B.y;

    point res;
    if (abs((a1 * b2) - (a2 * b1)) <= eps) {
        if ((c1 - c2) <= eps) {
            return b;
        } else {
            res.x = bad;
            res.y = bad;
            return res;
        }
    }
    res.x = - ((c1 * b2) - (c2 * b1)) / ((a1 * b2) - (a2 * b1));
    res.y = - ((a1 * c2) - (a2 * c1)) / ((a1 * b2) - (a2 * b1));
    return res;
}

bool ok(point x, point a, point A, point v) {
    point y = per(a, A, x, add(x, v));
    v.x *= -1001000.0;
    v.y *= -1001000.0;
    point X = add(x, v);
    return (in(y, x, X));
}

point a, A, b, B, v;


bool check(point d) {
	if (abs(d.x - bad) >= eps && in(d, b, B)) {
        if (ok(d, a, A, v)) {
            cout << "Yes" << endl;
            return true;
        }
    }
    return false;
}

void solve() {
    cin >> a.x >> a.y >> A.x >> A.y >> b.x >> b.y >> B.x >> B.y >> v.x >> v.y;
    point d;

    d = per(a, add(a, v), b, B);
    if (check(d)) return ;

	d = per(A, add(A, v), b, B);
    if (check(d)) return ;

    d = per(a, A, b, add(b, v));
    if (in(d, a, A)) if (check(b)) return ;

	d = per(a, A, B, add(B, v));
    if (in(d, a, A)) if (check(B)) return ;

	cout << "No" << endl;
}

int main()
{
    ios_base :: sync_with_stdio(0);
    cin.tie();
    cout.tie();

    int q;
    cin >> q;
    for (; q > 0; q--) {
        solve();
    }

    return 0;
}
