#include <bits/stdc++.h>

#define ll long long

using namespace std;

struct Point{
    ll x, y;
};

ll ccw(Point A, Point B, Point C) {
    B.x -= A.x;
    C.x -= A.x;
    C.y -= A.y;
    B.y -= A.y;
    return (1LL * B.x * C.y - 1LL * C.x * B.y);
}
int sgn(ll x) {
    if (x > 0) return 1;
    if (x == 0) return 0;
    if (x < 0) return -1;
}

Point juventus(int a, int b) {
    return Point{min(a, b), max(a, b)};
}

int napoli(Point a, Point b) {
    if (a.x >= b.x && a.y <= b.y) return 1;
    if (a.x <= b.x && a.y >= b.y) return 1;
    if (b.x <= a.x && a.x <= b.y) return 1;
    if (b.x <= a.y && a.y <= b.y) return 1;
    return 0;
}

int milan(Point a, Point b, Point x, Point y) {
    Point ax = juventus(a.x, b.x);
    Point ay = juventus(a.y, b.y);
    Point bx = juventus(x.x, y.x);
    Point by = juventus(x.y, y.y);
    return napoli(ax, bx) && napoli(ay, by);
}

long double EPS = 1e-6;
int checcc(Point a, Point b, Point c) {
    long double d1 = sqrt(1.0 * (c.x - a.x) * (c.x - a.x) + 1.0 * (c.y - a.y) * (c.y - a.y));
    long double d2 = sqrt(1.0 * (c.x - b.x) * (c.x - b.x) + 1.0 * (c.y - b.y) * (c.y - b.y));
    long double d3 = sqrt(1.0 * (a.x - b.x) * (a.x - b.x) + 1.0 * (a.y - b.y) * (a.y - b.y));
    return abs(d1 + d2 - d3) < EPS;
}

int inter(Point a, Point b, Point x, Point y) {
    if (b.x == a.x) {
        if (y.x == x.x) {
            if (y.x != b.x) return 0;
            if (a.y > b.y) swap(a.y, b.y);
            if (x.y > y.y) swap(x.y, y.y);
            return napoli({a.y, b.y}, {x.y, y.y});
        } else {
            if (a.x > b.x) swap(a.x, b.x);
            x.x -= a.x;
            y.x -= a.x;
            if (x.x > y.x) swap(x, y);
            a.x = 0;
            if ((x.x < 0 && y.x < 0) || (x.x > 0 && y.x > 0)) return 0;
            long double k2 = 1.0 * (y.y - x.y) / (y.x - x.x);
            long double b2 = 1.0 * x.y - k2 * x.x;
            long double yy = b2;
            if (1.0 * a.x <= yy && yy <= b.x* 1.0) return 1;
            else return 0;
        }
    } else if (y.x == x.x) {
        swap(a, x); swap(b, y);
        if (y.x == x.x) {
            if (y.x != b.x) return 0;
            if (a.y > b.y) swap(a.y, b.y);
            if (x.y > y.y) swap(x.y, y.y);
            return napoli({a.y, b.y}, {x.y, y.y});
        } else {
            if (a.x > b.x) swap(a.x, b.x);
            x.x -= a.x;
            y.x -= a.x;
            if (x.x > y.x) swap(x, y);
            a.x = 0;
            if ((x.x < 0 && y.x < 0) || (x.x > 0 && y.x > 0)) return 0;
            long double k2 = 1.0 * (y.y - x.y) / (y.x - x.x);
            long double b2 = 1.0 * x.y - k2 * x.x;
            long double yy = b2;
            if (1.0 * a.x <= yy && yy <= b.x* 1.0) return 1;
            else return 0;
        }
    }
    long double k1 = 1.0 * (b.y - a.y) / (b.x - a.x);
    long double k2 = 1.0 * (y.y - x.y) / (y.x - x.x);
    long double b1 = 1.0 * a.y - k1 * a.x;
    long double b2 = 1.0 * x.y - k2 * x.x;
    if (k1 == k2) return 0;
    long double kes = (b1 - b2) / (k2 - k1);
    Point n = Point{kes, k1*kes + b1};
    return checcc(a, b, n) && checcc(x, y, n);
    //cout << x.x << " " << x.y << " " << y.x << " " << y.y << " " << a.x << " " << a.y << " " << b.x << " " << b.y << endl;

    int s1 = sgn(ccw(a, b, x)), s2 = sgn(ccw(a, b, y));
    //cout << s1 << " " << s2 << endl;
    if (s1 == 0 || s2 == 0) return milan(a, b, x, y);
    if (s1 != s2) return milan(a, b, x, y);
    return 0;
}

ll area(Point a, Point b, Point c) {
    return a.x * b.y + b.x * c.y + c.x * a.y -
           a.y * b.x - b.y * c.x - c.y * a.x;
}

ll areap(Point a, Point b, Point c, Point d) {
    return a.x * b.y + b.x * c.y + c.x * d.y + d.x * a.y -
           a.y * b.x - b.y * c.x - c.y * d.x - d.y * a.x;
}

int checc(Point a, Point b, Point c, Point d, Point yetim) {
    ll sum = area(a, yetim, b) + area(b, c, yetim) + area(c, yetim, d) + area(d, a, yetim);
    if (sum == areap(a, b, c, d)) {
        return 1;
    }
    return 0;
}

string ans(int x) {
    if (x == 1) return "Yes";
    return "No";
}

int main() {
    ios_base :: sync_with_stdio(0);
    cin.tie(0), cout.tie(0);
    int T;
    cin >> T;
    while(T--) {
        Point a, b, x, y, v;
        cin >> a.x >> a.y >> b.x >> b.y >> x.x >> x.y >> y.x >> y.y >> v.x >> v.y;
        Point pa, pb; ll k;
        if (v.x == 0 && v.y == 0) {
            cout << ans(inter(a, b, x, y)) << endl;
            continue;
        }
        if (v.x == 0) {
            k = abs((3000001 - a.y) / v.y) + 1;
        } else if (v.y == 0) k = abs((3000001 - a.x) / v.x) + 1; else
        k = min(abs((3000001 - a.x) / v.x) + 1, abs((3000001 - a.y) / v.y) + 1);
        pa = Point{a.x + k * v.x, a.y + k * v.y};
        pb = Point{b.x + k * v.x, b.y + k * v.y};
        //cout << pa.x << " " << pa.y << " " << pb.x << " " << pb.y << endl;
        if (inter(x, y, pa, pb) || inter(x, y, a, b) || inter(x, y, pa, a) || inter(x, y, pb, b)) {
            cout << ans(1) << endl;
            continue;
        }
        //cout << pa.x << " " << pa.y << " " << pb.x << " " << pb.y << endl;
        cout << ans(checc(a, b, pa, pb, x) || checc(a, b, pa, pb, y)) << endl;
    }
    return 0;
}
